{if file_exists($header_override)}
    {include file="$template/overrides/header.tpl"}
{else}
    <!DOCTYPE html>
    <html lang="en" class="light">
    <!--[if lt IE 7]>      <html class="lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
    <!--[if IE 7]>         <html class="lt-ie9 lt-ie8"> <![endif]-->
    <!--[if IE 8]>         <html class="lt-ie9"> <![endif]-->
    
    <head>
        <meta charset="UTF-8">
        <title>{$companyname} - {$pagetitle}{if $kbarticle.title} - {$kbarticle.title}{/if}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="{$WEB_ROOT}/templates/{$template}/assets/css/bootstrap-hexa.min.css" rel="stylesheet">
        <link href="{$WEB_ROOT}/templates/{$template}/assets/css/icons.min.css" rel="stylesheet">
        <link href="{$WEB_ROOT}/assets/css/fontawesome-all.min.css" rel="stylesheet">
        <link href="{$WEB_ROOT}/templates/{$template}/assets/css/owl.carousel.min.css" rel="stylesheet">
        <link href="{$WEB_ROOT}/templates/{$template}/assets/css/perfect-scrollbar.min.css" rel="stylesheet">
        {if !empty($loadMarkdownEditor)}
        <link href="{$BASE_PATH_CSS}/bootstrap-markdown.min.css" rel="stylesheet" />{/if}
        <link href="{$WEB_ROOT}/templates/{$template}/assets/css/style.css" rel="stylesheet">
        {if $inShoppingCart}
        <link rel="stylesheet" type="text/css" href="{$WEB_ROOT}/templates/{$template}/assets/css/flowcart.css" />
        {/if}
        <link rel='stylesheet' href="{$WEB_ROOT}/templates/{$template}/assets/css/skins/{$hexa_extras_style}" />
        <script type="text/javascript">
            var csrfToken = '{$token}',
            markdownGuide = '{lang key="markdown.title"}',
            locale = '{if !empty($mdeLocale)}{$mdeLocale}{else}en{/if}',
            saved = '{lang key="markdown.saved"}',
            saving = '{lang key="markdown.saving"}';
            whmcsBaseUrl = "{\WHMCS\Utility\Environment\WebHelper::getBaseUrl()}",
            requiredText = '{lang key="orderForm.required"}',
            recaptchaSiteKey = "{if $captcha}{$captcha->recaptcha->getSiteKey()}{/if}";
        </script>
        <script src="{$WEB_ROOT}/templates/{$template}/assets/js/scripts.min.js?v={$versionHash}"></script>
        <script src="{$WEB_ROOT}/templates/{$template}/assets/js/owl.carousel.min.js"></script>
        <script src="{$WEB_ROOT}/templates/{$template}/assets/js/perfect-scrollbar.jquery.min.js"></script>
        <script src="{$WEB_ROOT}/templates/{$template}/assets/js/cookie.js"></script>
        {if $templatefile == "viewticket" && !$loggedin}
            <meta name="robots" content="noindex" />
        {/if}
        {$headoutput}
        {if file_exists($style_override)}
            <link rel="stylesheet" href="{$WEB_ROOT}/templates/{$template}/overrides/style.css">
        {/if}
        {if $LANG.locale == 'ar_AR' || $LANG.locale == 'fa_IR' || $LANG.locale == 'he_IL'}
            <link href="{$WEB_ROOT}/templates/{$template}/assets/css/bootstrap-rtl.css" rel="stylesheet">
            <link href="{$WEB_ROOT}/templates/{$template}/assets/css/style-rtl.css" rel="stylesheet">
        {/if}
        {if isset($hexa_scss)}
            <style type="text/css">
                {$hexa_scss}
            </style>
        {/if}
    </head>
    
    <body data-phone-cc-input="{$phoneNumberInputStyle}" class="{if $LANG.locale == 'ar_AR' || $LANG.locale == 'fa_IR' || $LANG.locale == 'he_IL'}cmsbased-rtl{else}cmsbased-ltr{/if}{if $hexa_minimal == 1} minimal{/if}">
        {include file="$template/includes/verifyemail.tpl"}
        {if $hexa_minimal == 1}
            {if $languagechangeenabled && count($locales) > 1}
                <div class="hexa-container hexa-container-lang hidden-xs">
                    <div class="btn-group">
                        <button type="button" class="btn btn-default dropdown-toggle hexa-btn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fal fa-globe"></i>
                        </button>
                        <ul class="dropdown-menu">
                            {foreach from=$locales item=locale}
                                {if $LANG.chooselanguage == $locale.localisedName}
                                    <li><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                {else}
                                    <li><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                {/if}
                            {/foreach}
                        </ul>
                    </div>
                </div>
            {/if}
            <div class="main-content">
                <div class="container">
                {elseif $minimal_cart == 'on' && $filename == 'cart'}
                    <div class="hexa-container hexa-contact hidden-xs"><a href="{$WEB_ROOT}/contact.php" class="btn btn-xs btn-default hexa-btn" data-original-title="{$LANG.contactus}"><i class="fal fa-paper-plane"></i></a></div>
                    <div class="main-content">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-4 col-md-offset-4 logo-page">
                                    <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" title="{$companyname}">
                                        {if !isset($hexa_logo)}
                                            <span class="logo">{$companyname}</span>
                                        {else}
                                            <span class="logo">
                                                <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                                            </span>
                                        {/if}
                                    </a>
                                </div>
                            </div>
                        {else}
                            {$headeroutput}
                            <div class="hexa-container hidden-xs"><a href="{$WEB_ROOT}/contact.php" class="btn btn-xs btn-default hexa-btn" data-original-title="{$LANG.contactus}"><i class="fal fa-paper-plane"></i></a></div>
                            {if $languagechangeenabled && count($locales) > 1 && !$loggedin }
                                <div class="hexa-container hexa-container-lang hidden-xs">
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-default dropdown-toggle hexa-btn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fal fa-globe"></i>
                                        </button>
                                        <ul class="dropdown-menu">
                                            {foreach from=$locales item=locale}
                                                {if $LANG.chooselanguage == $locale.localisedName}
                                                    <li><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                {else}
                                                    <li><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                {/if}
                                            {/foreach}
                                        </ul>
                                    </div>
                                </div>
                            {/if}
                            <nav class="p-5 mt-0 mb-0 rounded-none navbar hx-top-header" role="navigation">
                                <div class="container flex">
                                    {if !isset($hexa_logo)}
                                        <a class="flex items-center" href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}">
                                            <svg xmlns="http://www.w3.org/2000/svg" class="hexa-logo" fill="currentColor" viewBox="0 0 784 350" width="100" height="50">
                                                <defs />
                                                <path d="M144 118h1V0L71 59 9 109l73 59 62-50zM145 232h-1L0 116v118l145 116V232zM145 232v118l73-59 63-50-74-59-62 50zM145 0v118l144 116V116L145 0zM439 233h-25v-48h-54v48h-24V118h24v45h54v-45h25zM543 233h-81V118h81v22h-57v24h56v21h-56v26h57zM666 233h-29l-29-42-29 42h-29l42-59-39-56h29l26 39 26-39h29l-39 56z" class="cls-1" />
                                                <path d="M784 233h-28l-7-20h-49l-8 20h-27l44-115h31zm-42-41l-18-49-18 49z" />
                                            </svg>
                                        </a>
                                    {else}
                                        <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" class="flex items-center">
                                            <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                                        </a>
                                    {/if}
                                    <ul class="nav navbar-nav hx-top-nav">
                                        <li class="mx-5 nav-item visible-xs"><span class="nav-link"><span aria-hidden="true" class="icon icon-menu btn-nav-toggle-responsive"></span></span></li>
                                    </ul>
                                    {if $loggedin}
                                        <ul class="nav navbar-nav hx-user-nav hidden-xs">
                                            <li class="dropdown nav-item">
                                                {if $disable_gravatar}
                                                    <img class="w-10 h-10 rounded-full gravatar" src="{$WEB_ROOT}/templates/{$template}/assets/img/user.png" alt="User">
                                                {else}
                                                    <img class="w-10 h-10 rounded-full gravatar" src="https://www.gravatar.com/avatar/{$clientsdetails.email|md5}?s=50&d={$systemurl|escape:'url'}templates%2F{$template}%2Fassets%2Fimg%2Fuser.png" alt="Gravatar">
                                                {/if}
                                            </li>
                                            <ul role="menu" class="nav navbar-nav hx-user-nav hidden-xs">
                                                {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}
                                            </ul>
                                        </ul>
                                        <ul class="navbar-nav hx-icons-nav hidden-xs">
                                            <li class="dropdown nav-item hx-messages">
                                                <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path>
                                                        <polyline points="22,6 12,13 2,6"></polyline>
                                                    </svg>
                                                </a>
                                                <ul class="dropdown-menu">
                                                    <li>
                                                        <div class="title">{$LANG.navemailssent}</div>
                                                        <div class="hx-scroller ps-messages">
                                                            <div class="content">
                                                                <ul>
                                                                    {foreach from=$he_emaillist key=num item=he_email}
                                                                        <li><a href="#" onclick="popupWindow('{$WEB_ROOT}/viewemail.php?id={$he_email.id}','emlmsg',960,480);return false;">
                                                                                <div class="icon"><span aria-hidden="true" class="icon icon-envelope"></span></div>
                                                                                <div class="content"><span class="date"><span class="glyphicon glyphicon-time"></span> {$he_email.time}</span>
                                                                                    <span class="name">{$companyname}</span><span class="desc">{$he_email.subject|truncate:150:'...'}</span></div>
                                                                            </a>
                                                                        </li>
                                                                    {/foreach}
                                                                </ul>
                                                            </div>
                                                        </div>
                                                        <div class="footer"> <a href="{$WEB_ROOT}/clientarea.php?action=emails">{$LANG.viewAll}</a></div>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="dropdown nav-item hx-notifications"><a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path>
                                                        <path d="M13.73 21a2 2 0 0 1-3.46 0"></path>
                                                    </svg>
                                                    {if count($clientAlerts)>0 }
                                                        <span class="indicator"></span>
                                                    {/if}
                                                </a>
                                                <ul class="dropdown-menu">
                                                    <li>
                                                        <div class="title">{$LANG.notifications}</div>
                                                        <div class="hx-scroller">
                                                            <div class="content">
                                                                <ul>
                                                                    {foreach $clientAlerts as $alert}
                                                                        <li>
                                                                            <a href="{$alert->getLink()}">
                                                                                <div class="icon"><i class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-triangle{elseif $alert->getSeverity() == 'warning'}exclamation-circle{elseif $alert->getSeverity() == 'info'}info-square{else}check-circle{/if}"></i></div>
                                                                                <div class="content"><span class="desc">{$alert->getMessage()}</span></div>
                                                                            </a>
                                                                        </li>
                                                                    {foreachelse}
                                                                        <li class="none">
                                                                            {$LANG.notificationsnone}
                                                                        </li>
                                                                    {/foreach}
                                                                </ul>
                                                            </div>
                                                        </div>
                                                        <div class="footer"> <a href="{$WEB_ROOT}/serverstatus.php">{$LANG.networkstatustitle}</a></div>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="nav-item hx-settings"><a href="{$WEB_ROOT}/cart.php?a=view" class="nav-link">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <circle cx="9" cy="21" r="1"></circle>
                                                        <circle cx="20" cy="21" r="1"></circle>
                                                        <path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path>
                                                    </svg>
                                                    <span class="cart-items">{$cartitems}</span></a></li>
                                            {if !$hexa_hide_dark_switch}
                                            <li class="nav-item hx-settings">
                                                {$link_back="systpl=`$template`&amp;"}
                                                <a href="{$currentpagelinkback|replace:$link_back:''}systpl=hexa" class="nav-link">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path>
                                                    </svg>
                                                </a>
                                            </li>
                                            {/if}
                                            {if $adminMasqueradingAsClient}
                                                <li class="nav-item hx-settings"><a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="nav-link" title="{$LANG.logoutandreturntoadminarea}">
                                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                            <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                                                            <polyline points="15 3 21 3 21 9"></polyline>
                                                            <line x1="10" y1="14" x2="21" y2="3"></line>
                                                        </svg>
                                                    </a>
                                                </li>
                                            {elseif $adminLoggedIn}
                                                <li class="nav-item hx-settings"><a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="nav-link" title="{$LANG.returntoadminarea}">
                                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                            <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                                                            <polyline points="15 3 21 3 21 9"></polyline>
                                                            <line x1="10" y1="14" x2="21" y2="3"></line>
                                                        </svg>
                                                    </a>
                                                </li>
                                            {/if}
                                            {if $languagechangeenabled && count($locales) > 1}
                                                <li class="dropdown nav-item hx-settings">
                                                    <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                            <circle cx="12" cy="12" r="10"></circle>
                                                            <line x1="2" y1="12" x2="22" y2="12"></line>
                                                            <path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path>
                                                        </svg>
                                                    </a>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <div class="title">{$LANG.chooselanguage}</div>
                                                            <div class="hx-scroller ps-languages">
                                                                <div class="content">
                                                                    <ul>
                                                                        {foreach from=$locales item=locale}
                                                                            {if $LANG.chooselanguage == $locale.localisedName}
                                                                                <li class="dropdown-item"><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                                            {else}
                                                                                <li class="dropdown-item"><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                                            {/if}
                                                                        {/foreach}
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </li>
                                            {/if}
                                        </ul>
                                    {else}
                                        <ul class="nav navbar-nav hx-logout-nav">
                                            <li><a href="{$WEB_ROOT}/clientarea.php">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
                                                        <circle cx="12" cy="7" r="4"></circle>
                                                    </svg>
                                                    <span class="login-text hidden-xs">{$LANG.login}</span></a>
                                            </li>
            
                                            {if $condlinks.allowClientRegistration}
                                                <li>
                                                   <a class=" hidden-xs" href="{$WEB_ROOT}/register.php">{$LANG.signup}</a>
                                                </li>
                                            {/if}
            
                                            {if !$hexa_hide_dark_switch}
                                            <li class="nav-item hx-settings hidden-xs"><a href="{$smarty.server.PHP_SELF}?systpl=hexa" class="nav-link">
                                                    <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path>
                                                    </svg>
                                                </a>
                                            </li>
                                            {/if}
                                            {if $languagechangeenabled && count($locales) > 1}
                                                <li class="dropdown nav-item hx-settings hidden-xs">
                                                    <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                                                        <svg xmlns="http://www.w3.org/2000/svg" class="h-5 align-middle" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                            <circle cx="12" cy="12" r="10"></circle>
                                                            <line x1="2" y1="12" x2="22" y2="12"></line>
                                                            <path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path>
                                                        </svg>
                                                    </a>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <div class="title">{$LANG.chooselanguage}</div>
                                                            <div class="hx-scroller ps-languages">
                                                                <div class="content">
                                                                    <ul>
                                                                        {foreach from=$locales item=locale}
                                                                            {if $LANG.chooselanguage == $locale.localisedName}
                                                                                <li class="dropdown-item"><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                                            {else}
                                                                                <li class="dropdown-item"><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}">{$locale.localisedName}</a></li>
                                                                            {/if}
                                                                        {/foreach}
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </li>
                                            {/if}
                                        </ul>
                                    {/if}
                                </div>
                            </nav>
                            <div class="site-holder container {$mini}">
                                <div class="box-holder">
                                    <div class="left-sidebar">
                                        <div class="sidebar-holder" data-original-title="" title="">
                                            {if $loggedin}
                                                <ul class="nav nav-list">
                                                    <li class="nav-toggle">
                                                        <button class="btn btn-nav-toggle">
                                                            <i class="fal{if $LANG.locale == 'ar_AR' || $LANG.locale == 'fa_IR' || $LANG.locale == 'he_IL'} toggle-right fa-angle-double-right{else} toggle-left fa-angle-double-left{/if}"></i>
                                                        </button>
                                                    </li>
                                                    {foreach from=$hexa_menu key=num item=menuitem}
                                                        <li class="{$menuitem.class} {if isset($menuitem.child) } submenu {/if} {if $menuitem.active && !isset($menuitem.child)} active {/if}  ">
                                                            <a href="{$menuitem.url}" data-original-title="{$menuitem.name}" {if isset($menuitem.child) } class="dropdown {if $menuitem.active} active-parent {/if} " {/if} {if isset($menuitem.new_window) && $menuitem.new_window==1 } target="_blank" {/if}>
                                                                {if $menuitem.icon != ''}<{$menuitem.icon_holder_tag} aria-hidden="true" class=" {$menuitem.icon} "></{$menuitem.icon_holder_tag}>{/if}
                                                                <span class="hidden-minibar {$hide_labels}"> {$menuitem.name}</span> {if isset($menuitem.child) } <span class="fal fa-angle-down arrow pull-right flip rotate"> </span>{/if}
                                                                {if $menuitem.badge}
                                                                    <span class="text-gray-300 badge badge-default pull-right flip">{$menuitem.badge}</span>
                                                                {/if}
                                                            </a>
                                                            {if strpos($menuitem.class, 'selector-chooselanguage') != false}
                                                                <ul {$display}>
                                                                    {foreach from=$locales item=locale}
                                                                        {if $LANG.chooselanguage == $locale.localisedName}
                                                                            <li><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}"><span class="hidden-minibar  {$hide_labels}">{$locale.localisedName}</span></a></li>
                                                                        {else}
                                                                            <li><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}"><span class="hidden-minibar  {$hide_labels}">{$locale.localisedName}</span></a></li>
                                                                        {/if}
                                                                    {/foreach}
                                                                </ul>
                                                            {else}
                                                                {if isset($menuitem.child) }
                                                                    <ul {$display}>
                                                                        {foreach from=$menuitem.child key=subnum item=submenuitem}
                                                                            <li class="{$submenuitem.class} {if $submenuitem.active} active {/if}">
                                                                                <a href="{$submenuitem.url}" data-original-title="{$submenuitem.name}" {if isset($submenuitem.new_window) && $submenuitem.new_window==1 } target="_blank" {/if}>
                                                                                    {if $submenuitem.icon != ''}<{$submenuitem.icon_holder_tag} aria-hidden="true" class=" {$submenuitem.icon} "></{$submenuitem.icon_holder_tag}>{/if}
                                                                                    <span class="hidden-minibar  {$hide_labels}"> {$submenuitem.name}</span>
                                                                                    {if $submenuitem.badge}
                                                                                        <span class="text-gray-300 badge badge-default pull-right flip">{$submenuitem.badge}</span>
                                                                                    {/if}
                                                                                </a>
                                                                            </li>
                                                                        {/foreach}
                                                                    </ul>
                                                                {/if}
                                                            {/if}
                                                        </li>
                                                    {/foreach}
                                                </ul>
                                            {else}
                                                <ul class="nav nav-list">
                                                    <li class="nav-toggle"><button class="btn btn-nav-toggle"><i class="fal toggle-left fa-angle-double-left"></i> </button></li>
                                                    {foreach from=$hexa_menu key=num item=menuitem}
                                                        <li class="{$menuitem.class} {if isset($menuitem.child) } submenu {/if} {if $menuitem.active && !isset($menuitem.child)} active {/if}  ">
                                                            <a href="{$menuitem.url}" data-original-title="{$menuitem.name}" {if isset($menuitem.child) } class="dropdown {if $menuitem.active} active-parent {/if} " {/if} {if isset($menuitem.new_window) && $menuitem.new_window==1 } target="_blank" {/if}>
                                                                {if $menuitem.icon != ''}<{$menuitem.icon_holder_tag} aria-hidden="true" class=" {$menuitem.icon} "></{$menuitem.icon_holder_tag}>{/if}
                                                                <span class="hidden-minibar {$hide_labels}"> {$menuitem.name}</span> {if isset($menuitem.child) } <span class="fal fa-angle-down arrow pull-right flip rotate"> </span>{/if}
                                                            </a>
                                                            {if strpos($menuitem.class, 'selector-chooselanguage') != false}
                                                                <ul {$display}>
                                                                    {foreach from=$locales item=locale}
                                                                        {if $LANG.chooselanguage == $locale.localisedName}
                                                                            <li><a class="active" href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}"><span class="hidden-minibar  {$hide_labels}">{$locale.localisedName}</span></a></li>
                                                                        {else}
                                                                            <li><a href="{$currentpagelinkback}language={$locale.language}" data-lang="{$locale.language}"><span class="hidden-minibar  {$hide_labels}">{$locale.localisedName}</span></a></li>
                                                                        {/if}
                                                                    {/foreach}
                                                                </ul>
                                                            {else}
                                                                {if isset($menuitem.child) }
                                                                    <ul {$display}>
                                                                        {foreach from=$menuitem.child key=subnum item=submenuitem}
                                                                            <li class="{$submenuitem.class} {if $submenuitem.active} active {/if}">
                                                                                <a href="{$submenuitem.url}" data-original-title="{$submenuitem.name}" {if isset($submenuitem.new_window) && $submenuitem.new_window==1 } target="_blank" {/if}>
                                                                                    {if $submenuitem.icon != ''}<{$submenuitem.icon_holder_tag} aria-hidden="true" class=" {$submenuitem.icon} "></{$submenuitem.icon_holder_tag}>{/if}
                                                                                    <span class="hidden-minibar  {$hide_labels}"> {$submenuitem.name}</span>
                                                                                </a>
                                                                            </li>
                                                                        {/foreach}
                                                                    </ul>
                                                                {/if}
                                                            {/if}
                                                        </li>
                                                    {/foreach}
                                                </ul>
                                            {/if}
                                        </div>
                                    </div>
                                    <div class="content main-content onload">
                                    {/if}
                                {/if}
                                <div id="top_bar_alerts_holder"></div>