{if $errorMessageHtml}
    {include file="$template/includes/alert.tpl" type="error" errorshtml=$errorMessageHtml}
{/if}
{include file="$template/includes/pageheader.tpl" title=$LANG.contacts icon=user}
{include file="$template/clientareadetailslinks.tpl"}
<script>
    var stateNotRequired = true;
    jQuery(document).ready(function() {
        WHMCS.form.register();
    });
</script>
<script src="{$BASE_PATH_JS}/StatesDropdown.js"></script>

<form role="form" class="pb-5 sm:mx-5" method="post" action="{routePath('account-contacts')}">
    <div class="row">
        <div class="col-sm-12">
            <div class="mb-1">
                {$LANG.clientareachoosecontact}
            </div>
        </div>
        <div class="col-sm-10">
            <select name="contactid" id="inputContactId" onchange="submit()" class="form-control">
                {foreach $contacts as $contact}
                <option value="{$contact.id}" {if $contact.id eq $contactid} selected="selected" {/if}>{$contact.name} - {$contact.email}</option>
                {/foreach}
                <option value="new">{$LANG.clientareanavaddcontact}</option>
            </select>
        </div>
        <div class="col-sm-2 hidden-xs">
            <button type="submit" class="btn btn-default btn-block">{$LANG.go}</button>
        </div>
    </div>
</form>
<form role="form" class="sm:mx-5" method="post" action="{routePath('account-contacts-new')}">
    <div class="row">
        <div class="col-sm-6">
            <div class="form-group">
                <label for="inputFirstName" class="control-label">{$LANG.clientareafirstname}</label>
                <input type="text" name="firstname" id="inputFirstName" value="{$formdata.firstname}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputLastName" class="control-label">{$LANG.clientarealastname}</label>
                <input type="text" name="lastname" id="inputLastName" value="{$formdata.lastname}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputCompanyName" class="control-label">{$LANG.clientareacompanyname}</label>
                <input type="text" name="companyname" id="inputCompanyName" value="{$formdata.companyname}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputEmail" class="control-label">{$LANG.clientareaemail}</label>
                <input type="email" name="email" id="inputEmail" value="{$formdata.email}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputPhone" class="control-label">{$LANG.clientareaphonenumber}</label>
                <input type="tel" name="phonenumber" id="inputPhone" value="{$formdata.phonenumber}" class="form-control" />
            </div>

            {if $showTaxIdField}
            <div class="form-group">
                <label for="inputTaxId" class="control-label">{lang key=$taxIdLabel}</label>
                <input type="text" name="tax_id" id="inputTaxId" class="form-control" value="{$formdata.tax_id}" />
            </div>
            {/if}

        </div>
        <div class="col-sm-6 col-xs-12 pull-right">

            <div class="form-group">
                <label for="inputAddress1" class="control-label">{$LANG.clientareaaddress1}</label>
                <input type="text" name="address1" id="inputAddress1" value="{$formdata.address1}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputAddress2" class="control-label">{$LANG.clientareaaddress2}</label>
                <input type="text" name="address2" id="inputAddress2" value="{$formdata.address2}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputCity" class="control-label">{$LANG.clientareacity}</label>
                <input type="text" name="city" id="inputCity" value="{$formdata.city}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputState" class="control-label">{$LANG.clientareastate}</label>
                <input type="text" name="state" id="inputState" value="{$formdata.state}" class="form-control" />
            </div>

            <div class="form-group">
                <label for="inputPostcode" class="control-label">{$LANG.clientareapostcode}</label>
                <input type="text" name="postcode" id="inputPostcode" value="{$formdata.postcode}" class="form-control" />
            </div>

            <div class="form-group">
                <label class="control-label" for="country">{$LANG.clientareacountry}</label>
                {$countriesdropdown}
            </div>

        </div>
    </div>

    <div class="form-group">
        <h5>{$LANG.clientareacontactsemails}</h5>
        <div class="controls checkbox">
            {foreach $formdata.emailPreferences as $emailType => $value}
            <label>
                <input type="hidden" name="email_preferences[{$emailType}]" value="0">
                <input type="checkbox" name="email_preferences[{$emailType}]" id="{$emailType}emails" value="1" {if $value} checked="checked" {/if} />
                {lang key="clientareacontactsemails"|cat:$emailType}
            </label>{if !($emailType@last)}<br />{/if}
            {/foreach}
        </div>
    </div>

    <div class="form-group">
        <input class="btn btn-primary" type="submit" name="save" value="{$LANG.clientareasavechanges}" />
        <input class="btn btn-link" type="reset" value="{$LANG.cancel}" />
    </div>

</form>