{include file="$template/includes/pageheader.tpl" title=$LANG.addfunds desc=$LANG.addfundsdescription icon=wallet}
{if $addfundsdisabled}
    <div class="alert alert-danger">
        <p>{$LANG.clientareaaddfundsdisabled}</p>
    </div>
{else}
    {if $notallowed || $errormessage}
        <div class="alert alert-danger">
            <p>{$LANG.clientareaerrors}</p>
            <ul>
                <li>{if $notallowed}{$LANG.clientareaaddfundsnotallowed}{else}{$errormessage}{/if}</li>
            </ul>
        </div>
    {/if}
    <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <line x1="12" y1="5" x2="12" y2="19"></line>
                            <polyline points="19 12 12 19 5 12"></polyline>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$minimumamount}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.addfundsminimum}
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <line x1="12" y1="19" x2="12" y2="5"></line>
                            <polyline points="5 12 12 5 19 12"></polyline>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$maximumamount}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.addfundsmaximum}
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg"  class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <line x1="16.5" y1="9.4" x2="7.5" y2="4.21"></line>
                            <path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path>
                            <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                            <line x1="12" y1="22.08" x2="12" y2="12"></line>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$maximumbalance}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.addfundsmaximumbalance}
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-span-6">
            <form method="post" action="{$smarty.server.PHP_SELF}?action=addfunds">
                <div class="form-group">
                    <label for="currentbalance">{$LANG.statscreditbalance}</label>
                    <input class="form-control" name="currentbalance" type="text" placeholder="{$clientsstats.creditbalance}" readonly>
                    <p class="help-block">{$LANG.addfundsnonrefundable}</p>
                </div>
                <div class="form-group">
                    <label for="amount">{$LANG.addfundsamount}:</label>
                    <input type="text" class="form-control" name="amount" id="amount" value="{$amount}" />
                </div>
                <div class="form-group">
                    <label for="paymentmethod">{$LANG.orderpaymentmethod}:</label>
                    <select name="paymentmethod" class="form-control" id="paymentmethod">
                        {foreach from=$gateways item=gateway}
                            <option value="{$gateway.sysname}">{$gateway.name}</option>
                        {/foreach}
                    </select>
                </div>
                <div class="form-group">
                    <input type="submit" value="{$LANG.addfunds}" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>
{/if}