{if file_exists($clientareahome_override)}
    {include file="$template/overrides/clientareahome.tpl"}
{else}

{if $hexa_pagination_clientareahome}
<script type="text/javascript" charset="utf8" src="{$BASE_PATH_JS}/jquery.dataTables.min.js"></script>
<script type="text/javascript" charset="utf8" src="{$BASE_PATH_JS}/dataTables.bootstrap.min.js"></script>
<script type="text/javascript">
$(document).ready( function () {
    $('#myInvoices').DataTable({ "bLengthChange": false, "bFilter": false, "bSort": false, "bInfo": false });
    $('#mySupport').DataTable({ "bLengthChange": false, "bFilter": false, "bSort": false, "bInfo": false });
    $('#myProjects').DataTable({ "bLengthChange": false, "bFilter": false, "bSort": false, "bInfo": false });
    $('#myServices').DataTable({ "bLengthChange": false, "bFilter": false, "bSort": false, "bInfo": false });
} );
</script>
{/if}

    {include file="$template/includes/pageheader.tpl" title=$LANG.dashboard desc=$LANG.dashboardintro icon=speedometer}
    {include file="$template/includes/flashmessage.tpl"}    
    <div class="grid grid-cols-12 gap-6 pb-10 mt-5 sm:mx-5">
        <div class="col-span-12 sm:col-span-6 xl:col-span-4">
            <div class="flex items-center info-box info-box-products">
                <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white products" title="{$LANG.navservices}" href="{$WEB_ROOT}/clientarea.php?action=products">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <polygon points="12 2 2 7 12 12 22 7 12 2"></polygon>
                            <polyline points="2 17 12 22 22 17"></polyline>
                            <polyline points="2 12 12 17 22 12"></polyline>
                        </svg>
                    </div>
                </a>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span>{$LANG.navservices}</span>
                        <div class="ml-auto">{$clientsstats.productsnumtotal}</div>
                    </div>
                    <div class="flex pt-3">
                        <a href="{$WEB_ROOT}/clientarea.php?action=products" class="text-gray-400">{$LANG.clientareaactive}</a>
                        <div class="ml-auto">
                            <span class="text-gray-300 badge bg-gray-990 light:bg-gray-100">{$clientsstats.productsnumactive}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {if $condlinks.domainreg || $condlinks.domaintrans}
            <div class="col-span-12 sm:col-span-6 xl:col-span-4">
                <div class="flex items-center info-box info-box-domains">
                    <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white domains" title="{$LANG.cartproductdomain}" href="{$WEB_ROOT}/clientarea.php?action=domains">
                        <div class="p-6 text-center">
                            <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                <circle cx="12" cy="12" r="10"></circle>
                                <line x1="2" y1="12" x2="22" y2="12"></line>
                                <path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path>
                            </svg>
                        </div>
                    </a>
                    <div class="items-center w-2/3 px-4 py-3">
                        <div class="flex pb-1">
                            <span>{$LANG.navdomains}</span>
                            <div class="ml-auto">{$clientsstats.numdomains}</div>
                        </div>
                        <div class="flex pt-3">
                            <a href="{$WEB_ROOT}/clientarea.php?action=domains" class="text-gray-400">{$LANG.clientareaactive}</a>
                            <div class="ml-auto">
                                <span class="text-gray-300 badge bg-gray-990 light:bg-gray-100">{$clientsstats.numactivedomains}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {/if}
        <div class="col-span-12 sm:col-span-6 xl:col-span-4">
            <div class="flex items-center info-box info-box-invoices">
                <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white invoices" title="{$LANG.navinvoices}" href="{$WEB_ROOT}/clientarea.php?action=invoices">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path>
                            <polyline points="14 2 14 8 20 8"></polyline>
                            <line x1="16" y1="13" x2="8" y2="13"></line>
                            <line x1="16" y1="17" x2="8" y2="17"></line>
                            <polyline points="10 9 9 9 8 9"></polyline>
                        </svg>
                    </div>
                </a>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span>{$LANG.navinvoices}</span>
                        <div class="ml-auto">{$clientsstats.numdueinvoices}</div>
                    </div>
                    <div class="flex pt-3">
                        <span class="text-gray-300 badge bg-gray-990 light:bg-gray-100">{$clientsstats.dueinvoicesbalance}</span>
                    </div>
                </div>
            </div>
        </div>
        {if $condlinks.addfunds}
            <div class="col-span-12 sm:col-span-6 xl:col-span-4">
                <div class="flex items-center info-box info-box-funds">
                    <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white funds" title="{$LANG.addfunds}" href="{$WEB_ROOT}/clientarea.php?action=addfunds">
                        <div class="p-6 text-center">
                            <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                <rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect>
                                <line x1="1" y1="10" x2="23" y2="10"></line>
                            </svg>
                        </div>
                    </a>
                    <div class="items-center w-2/3 px-4 py-3">
                        <div class="flex pb-1">
                            <span>{$LANG.statscreditbalance}</span>
                            <div class="ml-auto">{$clientsstats.creditbalance}</div>
                        </div>
                        <div class="flex pt-3">
                            <a href="clientarea.php?action=addfunds" class="text-gray-400"> {$LANG.addfunds}</a>
                        </div>
                    </div>
                </div>
            </div>
        {/if}
        <div class="col-span-12 sm:col-span-6 xl:col-span-4">
            <div class="flex items-center info-box info-box-order">
                <a class="w-1/3 bg-gray-990 light:bg-gray-200 light:text-white order" title="{$LANG.ordernowbutton}" href="{$WEB_ROOT}/cart.php">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path>
                            <line x1="3" y1="6" x2="21" y2="6"></line>
                            <path d="M16 10a4 4 0 0 1-8 0"></path>
                        </svg>
                    </div>
                </a>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex py-3">
                        <a href="cart.php" class="text-gray-400">{$LANG.ordernowbutton}</a>
                    </div>
                </div>
            </div>
        </div>
        {if $condlinks.pmaddon && $Display_PM_Box}
            <div class="col-span-12 sm:col-span-6 xl:col-span-4">
                <div class="flex items-center info-box info-box-pm">
                    <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white" title="{$LANG.addfunds}" href="{$WEB_ROOT}/index.php?m=project_management">
                        <div class="p-6 text-center">
                            <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                <rect x="2" y="7" width="20" height="14" rx="2" ry="2"></rect>
                                <path d="M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16"></path>
                            </svg>
                        </div>
                    </a>
                    <div class="items-center w-2/3 px-4 py-3">
                        <div class="flex py-3">
                            <span>{$LANG.clientareaprojects}</span>
                            <div class="ml-auto">{$projectsnumactive}</div>
                        </div>
                    </div>
                </div>
            </div>
        {/if}
        {if $announcements}
            <div class="col-span-12 mt-3 sm:-mx-5">
                <div class="mb-0 panel panel-default panel-news">
                    <div class="panel-heading">{$LANG.ourlatestnews}
                        <div class="pull-right flip">
                            <a class="mr-2 text-gray-400 prev pull-left"><i class="fal fa-arrow-left"></i> </a> <a class="ml-2 text-gray-400 next"><i class="fal fa-arrow-right"></i></a></div>
                    </div>
                    <div class="panel-body">
                        <div id="owl-news" class="owl-carousel">
                            <div class="px-5 item"><i class="fal fa-fw fa-clock" aria-hidden="true"></i> <a class="date" href="{$WEB_ROOT}/announcements.php?id={$announcements.0.id}"> {$announcements.0.date}</a> {$announcements.0.text|strip_tags|truncate:500:'...'}</div>
                            {if $announcements.1.text}
                                <div class="px-5 item"><i class="fal fa-fw fa-clock" aria-hidden="true"></i><a class="date" href="{$WEB_ROOT}/announcements.php?id={$announcements.1.id}"> {$announcements.1.date}</a> {$announcements.1.text|strip_tags|truncate:500:'...'}</div>
                            {/if}
                            {if $announcements.2.text}
                                <div class="px-5 item"><i class="fal fa-fw fa-clock" aria-hidden="true"></i><a class="date" href="{$WEB_ROOT}/announcements.php?id={$announcements.2.id}"> {$announcements.2.date}</a> {$announcements.2.text|strip_tags|truncate:500:'...'}</div>
                            {/if}
                        </div>
                    </div>
                </div>
            </div>
            {literal}
                <script>
                    $(document).ready(function() {
                        var owl = $("#owl-news");
                        owl.owlCarousel({
                        autoHeight : true, loop:true, items:1{/literal}
                        {if $LANG.locale == 'ar_AR' || $LANG.locale == 'fa_IR' || $LANG.locale == 'he_IL'} ,rtl:true {/if}{literal}
                    });
                    $('.next').click(function() {
                        owl.trigger('next.owl.carousel');
                    })
                    $('.prev').click(function() {
                        owl.trigger('prev.owl.carousel', [300]);
                    })
                });
            </script>
        {/literal}
    {/if}
    {if $ccexpiringsoon}
        <div class="alert alert-danger">
            <p><strong>{$LANG.ccexpiringsoon}:</strong> {$LANG.ccexpiringsoondesc|sprintf2:'
                <a href="{$WEB_ROOT}/clientarea.php?action=creditcard" class="btn btn-danger btn-xs pull-right flip">':'</a>'}</p>
        </div>
    {/if}
    {foreach from=$addons_html item=addon_html}
        <div class="col-span-12">
	{$addon_html}
	</div>
    {/foreach}
    {if $show_inclientarea == 1 && $showqsl }
        <div class="col-span-12">{include file="$qsl_inclientarea_template"}</div>
    {/if}
    {foreach $panels as $item}
        {if in_array($item->getName(),$hexa_enabled_panels) && $item->getName()=='Active Products/Services'}
            {include file="$template/includes/outputHomePanels_services.tpl"}
        {/if}
        {if in_array($item->getName(),$hexa_enabled_panels) && $item->getName()=='pm-addon'}
            {include file="$template/includes/outputHomePanels_projects.tpl"}
        {/if}
    {/foreach}

        <div class="col-span-12 sm:-mx-5">
            <h3 class="page-header-2"><span aria-hidden="true" class="icon icon-support"></span> <span class="text-lg header-text">{$clientsstats.numactivetickets} {$LANG.supportticketsopentickets|replace:'Open Support Tickets':'Tickets'}</span></h3>
            <table class="table px-5 table-data table-hover" id="mySupport">
                <thead>
                    <tr>
                        <th>{$LANG.supportticketssubject}</th>
                        <th class="hidden-sm hidden-xs">{$LANG.supportticketsdepartment}</th>
                        <th class="hidden-sm hidden-xs">{$LANG.supportticketsstatus}</th>
                        <th class="hidden-sm hidden-xs">{$LANG.supportticketsticketurgency}</th>
                        <th class="text-right hidden-sm hidden-xs flip">{$LANG.supportticketsticketlastupdated}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$tickets item=ticket}
                        {assign var="label" value="default"}
                        {if $ticket.status|strstr:"779500"}{assign var="label" value="success"}
                        {elseif $ticket.status|strstr:"000000"}{assign var="label" value="primary"}
                        {elseif $ticket.status|strstr:"ff6600"}{assign var="label" value="warning"}
                        {elseif $ticket.status|strstr:"224488"}{assign var="label" value="info"}
                        {elseif $ticket.status|strstr:"cc0000"}{assign var="label" value="danger"}
                        {/if}
                        <tr>
                            <td>
                                <a href="viewticket.php?tid={$ticket.tid}&amp;c={$ticket.c}">{$ticket.subject}</a>
                                <ul class="cell-inner-list">
                                    <li class="visible-sm visible-xs"><span class="item-title"><span class="label label-{$label}">{$ticket.status|strip_tags:false}</span></span></li>
                                    <li class="visible-sm visible-xs"><span class="item-title">{$LANG.supportticketsticketlastupdated} : </span>{$ticket.lastreply}</li>
                                    <li class="visible-sm visible-xs"><span class="item-title">{$LANG.supportticketsdepartment}: </span>{$ticket.department}</li>
                                    <li class="visible-sm visible-xs"><span class="item-title">{$LANG.supportticketsticketurgency}: </span>{$ticket.urgency}</li>
                                </ul>
                            </td>
                            <td class="hidden-sm hidden-xs">{$ticket.department}</td>
                            <td class="hidden-sm hidden-xs"><span class="label label-{$label}">{$ticket.status|strip_tags:false}</span></td>
                            <td class="hidden-sm hidden-xs">{$ticket.urgency}</td>
                            <td class="text-right hidden-sm hidden-xs flip">{$ticket.lastreply}</td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td colspan="5" class="norecords">{$LANG.norecordsfound}</td>
                    </tr>{/foreach}
                </tbody>
            </table>
        </div>
        <div class="col-span-12 sm:-mx-5">
            <h3 class="page-header-2"><span aria-hidden="true" class="icon icon-drawer"></span> <span class="text-lg header-text">{$clientsstats.numdueinvoices} {$LANG.invoicesdue}</span></h3>
        <form method="post" action="{$WEB_ROOT}/clientarea.php?action=masspay">
            <table class="table table-data table-hover" id="myInvoices">
                <thead>
                    <tr>
                        <th></th>
                        <th class="text-center hidden-sm hidden-xs" style="white-space: nowrap;">{$LANG.invoicesdatecreated}</th>
                        <th class="text-center hidden-sm hidden-xs">{$LANG.invoicesdatedue}</th>
                        <th class="text-center hidden-sm hidden-xs">{$LANG.invoicesstatus}</th>
                        <th class="text-right hidden-sm hidden-xs">{$LANG.invoicestotal}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$invoices item=invoice}
                        <tr>
                            <td>
                                <div class="flex items-center">
                                    {if $masspay}
                                        <input type="checkbox" name="invoiceids[]" value="{$invoice.id}" class="mt-0 mr-2 border appearance-none invids input" />
                                    {/if}
                                    <a href="{$WEB_ROOT}/viewinvoice.php?id={$invoice.id}" class="item-title">{$LANG.invoicestitle}{$invoice.invoicenum}</a>
                                </div>
                                <ul class="cell-inner-list visible-sm visible-xs">
                                    <li><span class="label label-{$invoice.rawstatus} label-danger">{$invoice.statustext}</span></li>
                                    <li><span class="item-title">{$LANG.invoicestotal} : </span>{$invoice.total}</li>
                                    <li><span class="item-title">{$LANG.invoicesdatecreated} : </span>{$invoice.datecreated}</li>
                                    <li><span class="item-title">{$LANG.invoicesdatedue} : </span>{$invoice.datedue}</li>
                                </ul>
                            </td>
                            <td class="text-center hidden-sm hidden-xs">{$invoice.datecreated}</td>
                            <td class="text-center hidden-sm hidden-xs">{$invoice.datedue}</td>
                            <td class="text-center hidden-sm hidden-xs"><span class="label label-{$invoice.rawstatus} label-danger">{$invoice.statustext}</span>
                            </td>
                            <td class="text-right hidden-sm hidden-xs">{$invoice.total}</td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td colspan="5" class="norecords">
                                <div class="flex items-center">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" class="w-5 h-5" width="32" height="32" viewBox="0 0 32 32">
                                        <title>Folder-Hide</title>
                                        <path d="M31.333 14c-0.368 0-0.667-0.299-0.667-0.667v-0.667c0-0.368 0.299-0.667 0.667-0.667 0.367 0 0.667 0.299 0.667 0.667v0.667c0 0.368-0.3 0.667-0.667 0.667zM31.333 10.845c-0.368 0-0.667-0.299-0.667-0.667v-0.845c0-0.115-0.005-0.229-0.016-0.344-0.031-0.367 0.243-0.692 0.609-0.72 0.372-0.033 0.691 0.241 0.72 0.609 0.015 0.151 0.020 0.301 0.020 0.455v0.845c0 0.368-0.3 0.667-0.667 0.667zM30.469 7.293c-0.208 0-0.415-0.097-0.544-0.279-0.205-0.291-0.451-0.552-0.725-0.777-0.285-0.233-0.328-0.653-0.095-0.939 0.235-0.285 0.653-0.327 0.94-0.095 0.365 0.301 0.693 0.649 0.967 1.035 0.213 0.3 0.143 0.716-0.155 0.929-0.119 0.085-0.256 0.125-0.388 0.125zM27.377 5.387c-0.033 0-0.068-0.003-0.101-0.008-0.199-0.029-0.401-0.045-0.609-0.045h-0.532c-0.368 0-0.667-0.299-0.667-0.667s0.299-0.667 0.667-0.667h0.532c0.276 0 0.547 0.021 0.808 0.061 0.363 0.056 0.613 0.395 0.559 0.759-0.049 0.331-0.333 0.567-0.656 0.567zM23.645 5.333h-1.245c-0.367 0-0.667-0.299-0.667-0.667s0.3-0.667 0.667-0.667h1.245c0.367 0 0.667 0.299 0.667 0.667s-0.299 0.667-0.667 0.667zM19.913 5.333h-1.244c-0.368 0-0.667-0.299-0.667-0.667s0.299-0.667 0.667-0.667h1.244c0.368 0 0.667 0.299 0.667 0.667s-0.299 0.667-0.667 0.667zM16.167 5.333h-0.667c-0.368 0-0.667-0.299-0.667-0.667 0-0.085-0.015-0.235-0.084-0.455-0.111-0.352 0.085-0.725 0.436-0.836s0.725 0.084 0.836 0.436c0.020 0.064 0.036 0.127 0.055 0.188h0.091c0.368 0 0.667 0.299 0.667 0.667s-0.3 0.667-0.667 0.667zM0.667 10.685c-0.368 0-0.667-0.299-0.667-0.667v-1.317c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.317c0 0.368-0.3 0.667-0.667 0.667zM0.667 6.732c-0.368 0-0.667-0.299-0.667-0.667v-0.983c0-0.131 0.004-0.26 0.016-0.389 0.029-0.367 0.341-0.639 0.72-0.611 0.367 0.031 0.64 0.352 0.611 0.72-0.009 0.093-0.013 0.187-0.013 0.28v0.983c0 0.369-0.3 0.667-0.667 0.667zM1.64 3c-0.141 0-0.284-0.045-0.405-0.139-0.292-0.224-0.347-0.643-0.123-0.935 0.312-0.405 0.672-0.76 1.072-1.052 0.299-0.217 0.715-0.152 0.932 0.143 0.217 0.299 0.153 0.716-0.144 0.933s-0.567 0.483-0.803 0.788c-0.132 0.172-0.329 0.261-0.529 0.261zM13.951 2.489c-0.165 0-0.329-0.060-0.459-0.183-0.293-0.277-0.6-0.5-0.912-0.663-0.327-0.169-0.452-0.572-0.283-0.899 0.171-0.327 0.571-0.453 0.899-0.284 0.423 0.22 0.832 0.515 1.215 0.879 0.268 0.252 0.279 0.676 0.025 0.943-0.131 0.136-0.307 0.207-0.485 0.207zM10.319 1.333h-1.319c-0.368 0-0.667-0.299-0.667-0.667s0.3-0.667 0.667-0.667h1.317c0.368 0 0.667 0.299 0.667 0.667s-0.297 0.667-0.665 0.667zM6.365 1.333h-1.316c-0.368 0-0.667-0.299-0.667-0.667s0.297-0.667 0.667-0.667h1.317c0.368 0 0.667 0.299 0.667 0.667s-0.3 0.667-0.668 0.667zM0.667 14c-0.368 0-0.667-0.299-0.667-0.667v-0.667c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v0.667c0 0.368-0.3 0.667-0.667 0.667zM6 32h-0.667c-0.368 0-0.667-0.3-0.667-0.667s0.299-0.667 0.667-0.667h0.667c0.367 0 0.667 0.3 0.667 0.667s-0.3 0.667-0.667 0.667zM25.888 32h-1.325c-0.368 0-0.667-0.3-0.667-0.667s0.299-0.667 0.667-0.667h1.325c0.367 0 0.667 0.3 0.667 0.667s-0.3 0.667-0.667 0.667zM21.911 32h-1.327c-0.367 0-0.667-0.3-0.667-0.667s0.3-0.667 0.667-0.667h1.327c0.368 0 0.667 0.3 0.667 0.667s-0.299 0.667-0.667 0.667zM17.932 32h-1.327c-0.368 0-0.667-0.3-0.667-0.667s0.299-0.667 0.667-0.667h1.327c0.368 0 0.667 0.3 0.667 0.667s-0.297 0.667-0.667 0.667zM13.953 32h-1.324c-0.368 0-0.667-0.3-0.667-0.667s0.299-0.667 0.667-0.667h1.325c0.368 0 0.667 0.3 0.667 0.667s-0.297 0.667-0.668 0.667zM9.976 32h-1.327c-0.368 0-0.667-0.3-0.667-0.667s0.299-0.667 0.667-0.667h1.327c0.368 0 0.667 0.3 0.667 0.667s-0.297 0.667-0.667 0.667zM4.695 32c-0.44 0-0.823-0.048-1.192-0.14-0.357-0.088-0.573-0.453-0.483-0.808 0.091-0.359 0.453-0.573 0.809-0.483 0.395 0.1 0.867 0.109 1.107 0.092 0.387-0.007 0.685 0.253 0.711 0.62s-0.252 0.687-0.62 0.711c-0.109 0.004-0.221 0.008-0.332 0.008zM28.521 31.819c-0.284 0-0.547-0.184-0.636-0.471-0.112-0.351 0.084-0.725 0.437-0.835 0.349-0.111 0.68-0.277 0.977-0.499 0.299-0.219 0.713-0.156 0.931 0.14 0.219 0.296 0.156 0.713-0.139 0.932-0.417 0.307-0.881 0.543-1.373 0.696-0.065 0.027-0.133 0.036-0.197 0.036zM7.371 30.963c-0.181 0-0.361-0.073-0.493-0.217-0.248-0.272-0.228-0.693 0.044-0.943 0.273-0.249 0.501-0.539 0.677-0.861s0.581-0.443 0.904-0.268c0.324 0.176 0.444 0.581 0.268 0.904-0.248 0.456-0.567 0.863-0.951 1.213-0.127 0.115-0.289 0.172-0.449 0.172zM1.492 30.451c-0.2 0-0.397-0.088-0.528-0.26-0.317-0.412-0.561-0.869-0.725-1.361-0.116-0.351 0.073-0.727 0.423-0.843 0.349-0.115 0.727 0.073 0.843 0.421s0.289 0.673 0.516 0.969c0.224 0.292 0.171 0.709-0.121 0.933-0.121 0.096-0.265 0.14-0.407 0.14zM31.184 29.084c-0.061 0-0.121-0.009-0.184-0.027-0.355-0.1-0.56-0.469-0.459-0.823 0.081-0.292 0.123-0.593 0.123-0.901v-0.228c0-0.368 0.3-0.667 0.667-0.667 0.368 0 0.667 0.299 0.667 0.667v0.228c0 0.429-0.057 0.855-0.175 1.264-0.080 0.293-0.349 0.487-0.639 0.487zM8.667 27.353c-0.368 0-0.667-0.299-0.667-0.667v-1.327c0-0.365 0.299-0.667 0.667-0.667s0.667 0.3 0.667 0.667v1.327c0 0.368-0.3 0.667-0.667 0.667zM0.667 26.657c-0.368 0-0.667-0.301-0.667-0.667v-1.325c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.325c0 0.369-0.3 0.667-0.667 0.667zM31.333 25.12c-0.368 0-0.667-0.299-0.667-0.667v-1.327c0-0.365 0.299-0.667 0.667-0.667 0.367 0 0.667 0.301 0.667 0.667v1.327c0 0.368-0.3 0.667-0.667 0.667zM8.667 23.375c-0.368 0-0.667-0.301-0.667-0.667v-1.327c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.327c0 0.371-0.3 0.667-0.667 0.667zM0.667 22.681c-0.368 0-0.667-0.299-0.667-0.667v-1.327c0-0.365 0.299-0.667 0.667-0.667s0.667 0.301 0.667 0.667v1.327c0 0.368-0.3 0.667-0.667 0.667zM31.333 21.14c-0.368 0-0.667-0.299-0.667-0.667v-1.325c0-0.368 0.299-0.667 0.667-0.667 0.367 0 0.667 0.299 0.667 0.667v1.325c0 0.371-0.3 0.667-0.667 0.667zM8.667 19.397c-0.368 0-0.667-0.299-0.667-0.667v-1.324c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.324c0 0.368-0.3 0.667-0.667 0.667zM0.667 18.703c-0.368 0-0.667-0.301-0.667-0.667v-1.327c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.327c0 0.368-0.3 0.667-0.667 0.667zM31.333 17.164c-0.368 0-0.667-0.3-0.667-0.667v-1.325c0-0.365 0.299-0.667 0.667-0.667 0.367 0 0.667 0.301 0.667 0.667v1.325c0 0.367-0.3 0.667-0.667 0.667zM8.667 15.419c-0.368 0-0.667-0.299-0.667-0.667v-1.325c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v1.325c0 0.369-0.3 0.667-0.667 0.667zM31.331 13.187c-0.359 0-0.653-0.283-0.667-0.64-0.013-0.369-0.087-0.731-0.221-1.076-0.135-0.343 0.036-0.729 0.38-0.863 0.341-0.132 0.729 0.037 0.863 0.381 0.189 0.484 0.292 0.992 0.311 1.509 0.013 0.368-0.276 0.677-0.641 0.691-0.008-0.003-0.016-0.003-0.024-0.003zM9.107 11.513c-0.103 0-0.207-0.024-0.305-0.075-0.329-0.168-0.457-0.571-0.287-0.897 0.236-0.459 0.545-0.873 0.919-1.233 0.263-0.255 0.687-0.248 0.943 0.019 0.255 0.265 0.247 0.687-0.019 0.943-0.269 0.257-0.491 0.556-0.66 0.884-0.116 0.229-0.351 0.36-0.591 0.36zM29.385 9.903c-0.117 0-0.237-0.028-0.344-0.096-0.317-0.192-0.661-0.327-1.021-0.403s-0.591-0.431-0.516-0.791c0.079-0.36 0.435-0.591 0.792-0.515 0.505 0.108 0.987 0.297 1.432 0.565 0.317 0.189 0.417 0.599 0.227 0.916-0.124 0.208-0.345 0.323-0.569 0.323zM12.252 9.355c-0.339 0-0.628-0.256-0.663-0.6-0.036-0.367 0.231-0.695 0.597-0.731 0.156-0.016 0.316-0.024 0.479-0.024h0.913c0.368 0 0.667 0.299 0.667 0.667s-0.3 0.667-0.667 0.667h-0.912c-0.116 0-0.232 0.005-0.345 0.017-0.023 0.003-0.045 0.004-0.069 0.004zM25.513 9.333h-1.327c-0.368 0-0.667-0.299-0.667-0.667s0.297-0.667 0.667-0.667h1.327c0.367 0 0.667 0.299 0.667 0.667s-0.3 0.667-0.667 0.667zM21.533 9.333h-1.325c-0.369 0-0.667-0.299-0.667-0.667s0.297-0.667 0.667-0.667h1.325c0.367 0 0.667 0.299 0.667 0.667s-0.296 0.667-0.667 0.667zM17.557 9.333h-1.327c-0.368 0-0.667-0.299-0.667-0.667s0.299-0.667 0.667-0.667h1.327c0.367 0 0.667 0.299 0.667 0.667s-0.3 0.667-0.667 0.667zM0.667 14.667c-0.368 0-0.667-0.299-0.667-0.667v-0.667c0-0.368 0.299-0.667 0.667-0.667s0.667 0.299 0.667 0.667v0.667c0 0.368-0.3 0.667-0.667 0.667z"></path>
                                    </svg>
                                    <div class="px-3">{$LANG.norecordsfound}</div>
                                </div>
                            </td>
                        </tr>
                    {/foreach}
                </tbody>
                {if $masspay && $clientsstats.numdueinvoices neq 0}
                    <tfoot>
                        <tr>
                            <td colspan="5">
                                <input type="submit" name="masspayselected" value="{$LANG.masspayselected}" class="btn btn-outlined btn-sm" />
                                <a class="btn btn-outlined btn-sm" href="{$WEB_ROOT}/clientarea.php?action=masspay&amp;all=true">{$LANG.masspayall}</a>
                            </td>
                        </tr>
                    </tfoot>
                {/if}
            </table>
        </form>
        </div>
    {if $files}
        {if $client_area_downloads_softorder == 'default'}
            {assign var="files_new_order" value=$files}
        {else}
            {assign var="files_new_order" value=hexa_reorder_client_files($files,$client_area_downloads_softorder)}
        {/if}
        <div class="col-span-12">
            <h3 class="pl-3 mt-1 mb-0 border-b border-gray-800 page-header sm:-mx-5 light:border-gray-200"><span aria-hidden="true" class="icon icon-folder"></span> <span class="text-lg header-text">{$LANG.clientareafiles}</span></h3>
        </div>
        {foreach from=$files_new_order item=file}
            <div class="col-span-6 sm:col-span-4 md:col-span-3 2xl:col-span-2">
                <div class="pt-5 pb-3 file">
                    <a href="{$WEB_ROOT}/dl.php?type=f&amp;id={$file.id}">
                        <div class="w-2/5 mx-auto">
                            <svg version="1.1" id="Folder" class="text-gray-800 fill-current light:text-gray-100" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 786 786" xml:space="preserve">
                                <path class="text-gray-900 fill-current light:text-gray-300" d="M746 56.5v601a40 40 0 01-40 40H368a39.94 39.94 0 01-32-16H78a40 40 0 01-40-40v-601a40 40 0 0140-40h353a39.94 39.94 0 0132 16h243a40 40 0 0140 40z" transform="translate(0 -.5)" />
                                <path class="fill-current text-gray-950 light:text-gray-200" d="M62 52.5h662a40 40 0 0140 40v654a40 40 0 01-40 40H62a40 40 0 01-40-40v-654a40 40 0 0140-40z" transform="translate(0 -.5)" />
                                <path class="fill-current text-gray-990 light:text-gray-100" d="M42.37 111h701.26C767 111 786 127.47 786 147.81v601.88c0 20.34-19 36.81-42.37 36.81H42.37C19 786.5 0 770 0 749.69V147.81C0 127.47 19 111 42.37 111z" transform="translate(0 -.5)" />
                                {if $file.title|strstr:"cpanel"}
                                    <path class="fill-current text-accent-1" d="M338.8 389.6h32.8l-5.1 19.4c-.7 2.6-2.2 4.9-4.4 6.5-2.1 1.6-4.7 2.5-7.4 2.5h-15.2c-3.3-.1-6.6 1-9.2 3-2.7 2.1-4.7 5-5.6 8.3-.7 2.4-.7 4.9-.2 7.4.5 2.2 1.5 4.3 2.8 6.2 1.4 1.8 3.2 3.3 5.2 4.3 2.2 1.1 4.6 1.6 7 1.6h9.3c1.7 0 3.3.8 4.3 2.1 1.1 1.3 1.5 3.1 1 4.7l-5.8 21.5h-10.2c-6.7.1-13.3-1.5-19.2-4.6-5.7-2.9-10.7-7-14.6-12.1s-6.6-10.9-7.9-17.2c-1.4-6.5-1.2-13.3.5-19.8l.6-2.2c2.5-9.1 7.8-17.1 15.3-22.8 3.7-2.8 7.8-5 12.1-6.5 4.5-1.6 9.2-2.4 13.9-2.3zM355.4 477L384 370c.7-2.6 2.2-4.9 4.4-6.5 2.1-1.6 4.7-2.5 7.4-2.5H426c6.7-.1 13.3 1.5 19.2 4.6 11.5 5.9 19.8 16.6 22.5 29.3 1.4 6.5 1.2 13.3-.6 19.8l-.6 2.2c-1.2 4.6-3.2 8.9-5.8 12.8-5.1 7.8-12.7 13.6-21.5 16.6-4.5 1.6-9.2 2.3-13.9 2.3H399l5.2-19.6c.7-2.5 2.2-4.8 4.4-6.4 2.1-1.6 4.7-2.5 7.4-2.5h8.4c7 0 13.1-4.7 14.8-11.5.7-2.3.7-4.8.2-7.1-.5-2.2-1.5-4.3-2.8-6.2-1.4-1.8-3.2-3.3-5.2-4.4-2.2-1.1-4.6-1.7-7-1.7h-16.2L387 467.9c-.7 2.5-2.3 4.8-4.4 6.4s-4.6 2.5-7.3 2.5l-19.9.2zM470 376.6h-1.8v-13.8h-4.9v-1.6h11.5v1.6H470v13.8zM484.1 376.6l-5.2-13.6h-.1c.1 1.1.1 2.4.1 3.9v9.8h-1.7v-15.5h2.8l4.9 12.7h.1l4.9-12.7h2.7v15.4h-1.8v-9.9c0-1.1 0-2.4.1-3.7h-.1l-5.3 13.6h-1.4z" />
                                {elseif $file.title|strstr:"whm"}
                                    <path class="fill-current text-accent-1" d="M366 379.2l-16.3 60.4c-1 3.6-2.5 6.9-4.5 10-2 3-4.4 5.6-7.3 7.8-2.9 2.2-6.1 3.8-9.5 5-3.5 1.2-7.2 1.8-10.9 1.8h-89.2l22.7-85.4c.4-1.5 1.2-2.8 2.4-3.7 1.2-.9 2.7-1.4 4.2-1.4h12.1c1.4 0 2.6.6 3.5 1.7.8 1 1.1 2.4.7 3.7L257.2 442h23l17-63.2c.3-1.5 1.2-2.8 2.4-3.7 1.2-.9 2.6-1.4 4.1-1.4H316c1.3 0 2.6.6 3.4 1.7s1.1 2.4.7 3.7L303.2 442H317c2.6 0 5.2-.8 7.3-2.4 2.1-1.6 3.6-3.8 4.2-6.4l14.6-54.4c.4-1.5 1.2-2.8 2.4-3.7 1.2-.9 2.7-1.4 4.2-1.4h12.1c1.4 0 2.6.6 3.5 1.7.9 1.1 1.1 2.5.7 3.8zM381.8 430.1l-7.8 29.1c-.3 1.5-1.2 2.8-2.4 3.7-1.2.9-2.7 1.4-4.2 1.4h-12.1c-1.3 0-2.6-.6-3.3-1.7-.8-1-1.1-2.4-.7-3.6l21.4-80c.4-1.5 1.2-2.8 2.4-3.7 1.2-.9 2.7-1.4 4.2-1.4h17.5l-8.9 34.1H416l7.8-29.1c.4-1.5 1.2-2.8 2.4-3.7 1.2-.9 2.6-1.4 4.1-1.4h17.8l-23 85.4c-.4 1.5-1.2 2.8-2.4 3.7-1.2.9-2.6 1.4-4.1 1.4h-12.2c-2.3 0-4.2-1.9-4.2-4.2 0-.4 0-.8.1-1.1l7.7-28.8-28.2-.1zM431.8 458.8l22.8-85h71.5c5.2-.1 10.4 1.2 15.1 3.6 9 4.6 15.5 13 17.6 22.9 1.1 5.1 1 10.4-.5 15.5l-11.6 43.4c-.4 1.5-1.2 2.8-2.4 3.7-1.2.9-2.7 1.4-4.2 1.4H528c-1.4 0-2.6-.6-3.5-1.7-.9-1-1.1-2.4-.7-3.7l12.3-45.7c.5-2.1.6-4.2.1-6.3-.4-2-1.3-3.9-2.5-5.5s-2.8-3-4.6-3.9c-1.9-1-4-1.5-6.2-1.5h-5.2l-17 63.2c-.4 1.5-1.2 2.8-2.4 3.7-1.2.9-2.6 1.4-4.1 1.4H482c-1.3 0-2.6-.6-3.4-1.7s-1.1-2.4-.7-3.7l16.9-62.9h-23l-17 63.2c-.4 1.5-1.2 2.8-2.4 3.7-1.2.9-2.7 1.4-4.2 1.4H436c-1.4 0-2.6-.6-3.5-1.7-.8-1.1-1.1-2.5-.7-3.8z" />
                                {elseif $file.title|strstr:"cloudflare"}
                                    <path class="fill-current text-accent-1" d="M444.5 479.8l1.4-4.9c1.7-5.8 1.1-11.2-1.8-15.1-2.6-3.6-6.9-5.8-12.2-6l-99.7-1.3c-.6 0-1.2-.3-1.6-.8-.3-.5-.4-1.2-.2-1.8.3-1 1.3-1.7 2.3-1.8l100.6-1.3c11.9-.5 24.9-10.2 29.4-22l5.7-15c.2-.4.2-.8.2-1.3 0-.2 0-.5-.1-.7-7.9-35.3-42.9-57.6-78.2-49.7-22.3 5-40.4 21.2-47.8 42.9-13-9.8-31.5-7.1-41.3 5.9-3.2 4.3-5.2 9.4-5.7 14.7-.3 3.5-.1 6.9.8 10.3-23.1.7-41.3 20-40.7 43.1 0 1.6.2 3.3.4 4.9.2.9 1 1.7 1.9 1.7h184c1.4 0 2.4-.8 2.6-1.8zM477.7 410.8c-.9 0-1.9 0-2.8.1-.1 0-.3 0-.4.1-.5.2-.9.6-1 1.1l-3.9 13.5c-1.7 5.8-1 11.2 1.8 15.1 2.6 3.6 6.9 5.8 12.2 6l21.2 1.3c.6 0 1.2.3 1.5.8.4.5.4 1.2.2 1.8-.4 1-1.3 1.7-2.3 1.8l-22.1 1.3c-12 .6-24.9 10.2-29.4 22l-1.6 4.2c-.2.6.1 1.3.7 1.5.1 0 .2.1.3.1h76c.9 0 1.8-.6 2-1.5 8.1-29-8.8-59.1-37.8-67.2-4.7-1.3-9.7-2-14.6-2z" />
                                {elseif $file.title|strstr:"plesk"}
                                    <path class="fill-current text-accent-1" d="M353.9 329c-11.4 0-20.7 9.3-20.7 20.8v.1c0 9.5 6.4 17.7 15.6 20 6.8 3.2 17 8.2 19 12.3 2.9 5.2 5.3 14.8 5 22.1v.2c-9.8 13.8-6.6 33 7.2 42.9 13.8 9.8 33 6.6 42.9-7.2 3.7-5.2 5.7-11.4 5.7-17.8 0-16.9-13.9-31.5-30.8-30.8-2.6 0-5.2.3-7.7 1-6.6-2.7-12.3-7.5-16.1-13.5-2.2-3.6-1.9-12.9-1.2-20.4 1.2-2.7 1.9-5.7 1.9-8.6.1-11.7-9.3-21.1-20.8-21.1zm75.4 0c-11.5 0-20.8 9.3-20.8 20.8s9.3 20.8 20.8 20.8 20.8-9.3 20.8-20.8-9.3-20.8-20.8-20.8zm43.8 65.4c-11.5.1-20.8 9.4-20.7 20.9.1 11.5 9.4 20.8 20.9 20.7 11.4-.1 20.6-9.3 20.7-20.7 0-10.8-9.4-20.9-20.9-20.9zm-158.4 3.1c-11.5.1-20.7 9.4-20.7 20.9s9.4 20.7 20.9 20.7c11.4-.1 20.6-9.3 20.7-20.7 0-10.8-9.4-20.1-20.9-20.9zm40.1 70c-11.5 0-20.8 9.3-20.8 20.8s9.3 20.8 20.8 20.8 20.8-9.3 20.8-20.8-9.3-20.8-20.8-20.8zm82.2 0c-11.5-.1-20.8 9.2-20.9 20.7s9.2 20.8 20.7 20.9 20.8-9.2 20.9-20.7c.1-11.4-9.1-20.8-20.5-20.9-.1-.1-.1-.1-.2 0z" fill="#59bdfb" />
                                {elseif $file.title|strstr:"wordpress"}
                                    <path class="fill-current text-accent-1" d="M294 429a100 100 0 10100-100 100 100 0 00-100 100m7.7 0a92.09 92.09 0 018-37.56l44 120.62a92.31 92.31 0 01-52-83.06m92.3 92.29a92.25 92.25 0 01-26.07-3.75l27.69-80.45L424 514.8a8.77 8.77 0 00.65 1.26 91.86 91.86 0 01-30.65 5.23m74.59-94c5.26-13.17 7-23.69 7-33a70.34 70.34 0 00-.63-9.5 92.32 92.32 0 01-34.58 124zm-19.9-28.38c3.5 6.14 7.61 14 7.61 25.45q0 11.87-7 29.84l-9.21 30.75-33.36-99.2c5.57-.3 10.56-.88 10.56-.88 5-.59 4.38-7.88-.58-7.61 0 0-14.95 1.18-24.6 1.18-9.07 0-24.3-1.18-24.3-1.18-5-.27-5.55 7.32-.59 7.61 0 0 4.72.58 9.69.88l14.37 39.4-20.2 60.56-33.62-100c5.57-.3 10.58-.88 10.58-.88 5-.59 4.37-7.88-.59-7.61 0 0-14.95 1.18-24.61 1.18-1.73 0-3.76 0-5.93-.11A92.25 92.25 0 01456.32 361c-.4 0-.79-.08-1.19-.08-9.08 0-15.5 7.89-15.5 16.37 0 7.62 4.39 14.05 9.06 21.65" transform="translate(1 -.5)" fill="#59bdfb" />
                                {else}
                                {/if}
                            </svg>
                        </div>
                        <div class="block mt-3 font-medium text-center text-gray-400 truncate">{$file.title}</div>
                    </a>
                    <div class="mt-1 text-xs text-center text-gray-600">{$file.date}</div>
                </div>
            </div>
        {/foreach}
    {/if}
    <div class="right-sidebar right-sidebar-hidden">
        <div class="right-sidebar-holder">
            <h4 class="page-header">{$LANG.quickserverlogins}<a href="javascript:;" class="theme-panel-close text-primary pull-right flip"><span aria-hidden="true" class="icon icon-close"></span></a></h4>
            {if $show_inclientarea != 1 && $showqsl}
                {include file="$qsl_modalarea_template"}
            {/if}
        </div>
    </div>
</div>
{/if}