{include file="$template/includes/pageheader.tpl" title=$LANG.invoices desc=$LANG.invoicesintro icon=drawer}
{if $invoices}
    {include file="$template/includes/tablelist.tpl" tableName="InvoicesList" filterColumn="4" noSortColumns="5" }
    <div class="bg-accent-1 overflow-hidden">
        <div class="px-4 py-5 border-b border-gray-200 sm:px-6">
            <div class="-ml-4 -mt-4 flex justify-between items-center flex-wrap sm:flex-no-wrap">
                <div class="ml-4 mt-4">{$LANG.invoicesoutstandingbalance}: {$totalbalance}</div>
                {if $masspay}
                    <div class="ml-4 mt-4 flex-shrink-0 flex"><a href="clientarea.php?action=masspay&all=true" class="btn btn-link">{$LANG.masspayall}</a></div>
                {/if}
            </div>
        </div>
    </div>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var table = jQuery('#tableInvoicesList').removeClass('hidden').DataTable();
            {if $orderby == 'default'}
                table.order([4, 'desc'], [2, 'asc']);
            {elseif $orderby == 'invoicenum'}
                table.order(0, '{$sort}');
            {elseif $orderby == 'date'}
                table.order(1, '{$sort}');
            {elseif $orderby == 'duedate'}
                table.order(2, '{$sort}');
            {elseif $orderby == 'total'}
                table.order(3, '{$sort}');
            {elseif $orderby == 'status'}
                table.order(4, '{$sort}');
            {/if}
            table.draw();
            jQuery('#tableLoading').addClass('hidden');
        });
    </script>
    <div class="table-container clearfix">
        <div class="panel panel-default panel-datatable">
            <div class="panel-heading clearfix"> {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}</div>
            <table id="tableInvoicesList" class="table table-list">
                <thead>
                    <tr>
                        <th data-priority="1"><button type="button" class="btn-table-collapse"></button>{$LANG.invoicestitle}</th>
                        <th data-priority="5">{$LANG.invoicesdatecreated}</th>
                        <th data-priority="6">{$LANG.invoicesdatedue}</th>
                        <th data-priority="4">{$LANG.invoicestotal}</th>
                        <th data-priority="3">{$LANG.invoicesstatus}</th>
                        <th data-priority="2">&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach key=num item=invoice from=$invoices}
                        <tr>
                            <td>{$invoice.invoicenum}</td>
                            <td><span class="hidden">{$invoice.normalisedDateCreated}</span>{$invoice.datecreated}</td>
                            <td><span class="hidden">{$invoice.normalisedDateDue}</span>{$invoice.datedue}</td>
                            <td data-order="{$invoice.totalnum}">{$invoice.total}</td>
                            <td><span class="label label-{$invoice.statusClass}">{$invoice.status}</span></td>
                            <td class="text-right">
                                <div class="dropdown">
                                    <a href="#" class="btn btn-link py-0 dropdown-toggle" data-toggle="dropdown">
                                        <i class="far fa-ellipsis-h text-gray-400 text-xl"></i>
                                    </a>
                                    <ul class="dropdown-menu  pull-right" role="menu">
                                        <li><a href="viewinvoice.php?id={$invoice.id}">{$LANG.invoicesview}</a></li>
                                        <li><a href="dl.php?type=i&amp;id={$invoice.id}">{$LANG.invoicesdownload|replace:'Download':'Download PDF'}</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
            <div class="text-center" id="tableLoading">
                <p><i class="fas fa-spinner fa-spin"></i> {$LANG.loading}</p>
            </div>
        </div>
    </div>
{else}
    <div class="max-w-screen-md mx-auto px-4 mt-10 sm:px-6 lg:px-8">
        <div class="text-center">
            <span aria-hidden="true" class="icon icon-ghost text-4xl"></span>
        </div>
        <h6 class="text-center text-gray-400 leading-4">{$LANG.invoicesnoinvoices}</h6>
    </div>
{/if}