{include file="$template/includes/tablelist.tpl" tableName="ServicesList" filterColumn="3" noSortColumns="4"}
<script type="text/javascript">
            jQuery(document).ready( function ()
            {
                var table = jQuery('#tableServicesList').removeClass('hidden').DataTable();
                {if $orderby == 'product'}
                    table.order([0, '{$sort}'], [3, 'asc']);
                {elseif $orderby == 'amount' || $orderby == 'billingcycle'}
                    table.order(1, '{$sort}');
                {elseif $orderby == 'nextduedate'}
                    table.order(2, '{$sort}');
                {elseif $orderby == 'domainstatus'}
                    table.order(3, '{$sort}');
                {/if}
                table.draw();
        jQuery('#tableLoading').addClass('hidden');
    });
</script>
{include file="$template/includes/pageheader.tpl" title=$LANG.clientareaproducts desc=$LANG.clientareaproductsintro icon=layers}
<div class="panel panel-default panel-datatable">
  <div class="panel-heading clearfix"> {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}</div>
    <table id="tableServicesList" class="table table-list hidden">
        <thead>
            <tr>
                <th>{$LANG.orderproduct}</th>
                <th class="hidden-xs">{$LANG.clientareaaddonpricing}</th>
                <th class="hidden-sm hidden-xs">{$LANG.clientareahostingnextduedate}</th>
                <th>{$LANG.clientareastatus}</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            {foreach key=num item=service from=$services}
                <tr>
                    <td>{$service.group} - {$service.product}{if $service.domain}<br>
                        <div class="inline-block ssl {if $service.sslStatus} ssl-info{/if}" data-element-id="{$service.id}" data-type="service"{if $service.domain} data-domain="{$service.domain}"{/if}>
                            {if $service.sslStatus}
                            <img src="{$service.sslStatus->getImagePath()}" data-toggle="tooltip" title="{$service.sslStatus->getTooltipContent()}" class="{$service.sslStatus->getClass()}"/>
                            {elseif !$service.isActive}
                            <img src="{$BASE_PATH_IMG}/ssl/ssl-inactive-domain.png" data-toggle="tooltip" title="{lang key='sslState.sslInactiveService'}"/>
                            {/if}
                            </div>    
                    <a href="http://{$service.domain}" target="_blank">{$service.domain}</a>{/if}
                    <ul class="cell-inner-list visible-sm visible-xs">
                    <li><span class="item-title">{$LANG.orderbillingcycle} : </span>{$service.billingcycle}</li>
                    <li><span class="item-title">{$LANG.clientareahostingnextduedate}</span> : {$service.nextduedate}</li>
                    <li class="hidden-sm"><span class="item-title">{$LANG.orderprice} : </span>{$service.amount}</li>
                    </ul>
                    </td>
                    <td data-order="{$service.amountnum}" class="hidden-xs">{$service.amount} {$service.billingcycle}</td>
                    <td class="hidden-sm hidden-xs"><span class="hidden">{$service.normalisedNextDueDate}</span>{$service.nextduedate}</td>
                    <td><span class="label status status-{$service.status|strtolower}">{$service.statustext}</span></td>
                    <td class="text-right">
                        <div class="dropdown">
                            <a href="#" class="btn btn-link py-0 dropdown-toggle" data-toggle="dropdown">
                                <i class="far fa-ellipsis-h text-gray-400 text-xl"></i>
                              </a>
                            <ul class="dropdown-menu  pull-right" role="menu">                                        
                                <li><a href="{$WEB_ROOT}/clientarea.php?action=productdetails&id={$service.id}">{$LANG.clientareaviewdetails}</a></li>
                                {if $service.rawstatus == "active" && ($service.downloads || $service.addons || $service.packagesupgrade)}
                                    <li class="divider"></li>
                                    {if $service.addons} <li><a href="{$WEB_ROOT}/clientarea.php?action=productdetails&id={$service.id}#tabAddons">{$LANG.clientareahostingaddons}</a></li>{/if}
                                    {if $service.downloads} <li><a href="{$WEB_ROOT}/clientarea.php?action=productdetails&id={$service.id}#tabDownloads">{$LANG.downloadstitle}</a></li>{/if}
                                    {if $service.packagesupgrade} <li><a href="{$WEB_ROOT}/upgrade.php?type=package&id={$service.id}">{$LANG.upgradedowngradepackage}</a></li>{/if}
                                {/if}                                        
                            </ul>
                        </div>
                    </td>
                </tr>
            {/foreach}
        </tbody>
    </table>
    <div class="text-center" id="tableLoading">
        <p><i class="fas fa-spinner fa-spin"></i> {$LANG.loading}</p>
    </div>
    <div class="clearfix"></div>
</div>
