{include file="$template/includes/pageheader.tpl" title=$LANG.quotestitle desc=$LANG.quotesintro icon=calculator}
{if $quotes}
    {include file="$template/includes/tablelist.tpl" tableName="QuotesList" noSortColumns="5" filterColumn="4"}
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var table = jQuery('#tableQuotesList').removeClass('hidden').DataTable();
            {if $orderby == 'id'}
                table.order(0, '{$sort}');
            {elseif $orderby == 'date'}
                table.order(2, '{$sort}');
            {elseif $orderby == 'validuntil'}
                table.order(3, '{$sort}');
            {elseif $orderby == 'stage'}
                table.order(4, '{$sort}');
            {/if}
            table.draw();
            jQuery('#tableLoading').addClass('hidden');
        });
    </script>
    <div class="table-container clearfix">
        <div class="panel panel-default panel-datatable">
            <div class="panel-heading clearfix"> {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}</div>
            <table id="tableQuotesList" class="table table-list">
                <colgroup>
                    <col style="width: 15%" />
                    <col style="width: 40%" />
                    <col style="width: 15%" />
                    <col style="width: 15%" />
                    <col style="width: 15%" />
                    <col style="width: 0%" />
                </colgroup>
                <thead>
                    <tr>
                        <th data-priority="1"><button type="button" class="btn-table-collapse"></button>{$LANG.quotenumber}</th>
                        <th data-priority="2">{$LANG.quotesubject}</th>
                        <th data-priority="6">{$LANG.quotedatecreated}</th>
                        <th data-priority="5">{$LANG.quotevaliduntil}</th>
                        <th data-priority="4">{$LANG.quotestage}</th>
                        <th data-priority="3">&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$quotes item=quote}
                        <tr data-url="viewquote.php?id={$quote.id}">
                            <td><button type="button" class="btn-table-collapse"></button>{$quote.id}</td>
                            <td class="text-light">{$quote.subject}</td>
                            <td class="text-nowrap"><span class="hidden">{$quote.normalisedDateCreated}</span>{$quote.datecreated}</td>
                            <td class="text-nowrap"><span class="hidden">{$quote.normalisedValidUntil}</span>{$quote.validuntil}</td>
                            <td class="text-nowrap"><span class="label status status-{$quote.stageClass}">{$quote.stage}</span></td>
                            <td class="text-right">
                                <div class="dropdown">
                                    <a href="#" class="btn btn-link py-0 dropdown-toggle" data-toggle="dropdown">
                                        <i class="far fa-ellipsis-h text-gray-400 text-xl"></i>
                                    </a>
                                    <ul class="dropdown-menu  pull-right" role="menu">
                                        <li><a href="{$WEB_ROOT}/viewquote.php?id={$quote.id}">{$LANG.quoteview}</a></li>
                                        <li><a href="{$WEB_ROOT}/dl.php?type=q&amp;id={$quote.id}">{$LANG.quotedownload|replace:'Download':'Download PDF'}</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
            <div class="text-center" id="tableLoading">
                <p><i class="fas fa-spinner fa-spin"></i> {$LANG.loading}</p>
            </div>
        </div>
    </div>
{else}
    <div class="max-w-screen-md mx-auto px-4 mt-10 sm:px-6 lg:px-8">
        <div class="text-center">
        <span aria-hidden="true" class="icon icon-ghost text-4xl"></span>
        </div>
        <h6 class="text-center text-gray-400 leading-4">{$LANG.noquotes}</h6>
        <div class="text-center">
            <a class="btn btn-primary" href="{$WEB_ROOT}/submitticket.php">
                {$LANG.opennewticket}
            </a>
        </div>
    </div>
{/if}