{if in_array('state', $optionalFields)}
    <script>
        var statesTab = 10;
        var stateNotRequired = true;
    </script>
{/if}
<script type="text/javascript" src="{$BASE_PATH_JS}/StatesDropdown.js"></script>
<script type="text/javascript" src="{$BASE_PATH_JS}/PasswordStrength.js"></script>
<script>
    window.langPasswordStrength = "{$LANG.pwstrength}";
    window.langPasswordWeak = "{$LANG.pwstrengthweak}";
    window.langPasswordModerate = "{$LANG.pwstrengthmoderate}";
    window.langPasswordStrong = "{$LANG.pwstrengthstrong}";
    jQuery(document).ready(function() {
        jQuery("#inputNewPassword1").keyup(registerFormPasswordStrengthFeedback);
    });
</script>
{if $hexa_minimal == 0}
    {include file="$template/includes/pageheader.tpl" title=$LANG.register icon=user}
{/if}
{if $registrationDisabled}
    {include file="$template/includes/alert.tpl" type="error" msg=$LANG.registerCreateAccount|cat:' <strong><a href="cart.php" class="alert-link">'|cat:$LANG.registerCreateAccountOrder|cat:'</a></strong>'}
{/if}
{if !$registrationDisabled}
    <div id="registration">
        <div class="flex flex-col items-center{if $hexa_minimal == 1} h-screen{/if}">
            {if $hexa_minimal == 1}
                <div class="px-5 pt-5">
                    <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" title="{$companyname}">
                        {if !isset($hexa_logo)}
                            <span class="logo">
                                <svg xmlns="http://www.w3.org/2000/svg" class="hexa-logo" fill="currentColor" viewBox="0 0 784 350" width="100" height="50">
                                    <defs />
                                    <path d="M144 118h1V0L71 59 9 109l73 59 62-50zM145 232h-1L0 116v118l145 116V232zM145 232v118l73-59 63-50-74-59-62 50zM145 0v118l144 116V116L145 0zM439 233h-25v-48h-54v48h-24V118h24v45h54v-45h25zM543 233h-81V118h81v22h-57v24h56v21h-56v26h57zM666 233h-29l-29-42-29 42h-29l42-59-39-56h29l26 39 26-39h29l-39 56z" class="cls-1" />
                                    <path d="M784 233h-28l-7-20h-49l-8 20h-27l44-115h31zm-42-41l-18-49-18 49z" />
                                </svg>
                            </span>
                        {else}
                            <span class="logo">
                                <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                            </span>
                        {/if}
                    </a>
                </div>
            {/if}
            <div class="px-3 sm:px-5 pt-5 pb-5 mt-5 rounded-md shadow-md w-full{if $hexa_minimal == 1} max-w-3xl mx-auto bg-gray-950 light:bg-gray-10{/if}">
                {if $hexa_minimal == 1}<div class="pb-3 text-2xl text-center">{$LANG.register} </div>{/if}
                {if $errormessage}
                    {include file="$template/includes/alert.tpl" type="error" errorshtml=$errormessage}
                {/if}
                <form method="post" class="using-password-strength" action="{$smarty.server.PHP_SELF}" role="form" name="orderfrm" id="frmCheckout">
                    <input type="hidden" name="register" value="true" />
                    <div id="containerNewUserSignup">
                        {include file="$template/includes/linkedaccounts.tpl" linkContext="registration"}
                        <h4 class="py-3 pl-0">{$LANG.orderForm.personalInformation}</h4>
                        <div class="grid-cols-2 gap-2 sm:grid">
                            <div>
                                <label for="inputFirstName">
                                    {$LANG.orderForm.firstName} {if in_array('firstname', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="firstname" id="inputFirstName" class="form-control" placeholder="" {if !in_array('firstname', $optionalFields)}required{/if} autofocus>
                            </div>
                            <div>
                                <label for="inputLastName">
                                    {$LANG.orderForm.lastName} {if in_array('lastname', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="lastname" id="inputLastName" class="form-control" placeholder="" value="{$clientlastname}" {if !in_array('lastname', $optionalFields)}required{/if}>
                            </div>
                            <div>
                                <label for="inputEmail">
                                    {$LANG.orderForm.emailAddress}
                                </label>
                                <input type="email" name="email" id="inputEmail" class="form-control" placeholder="" value="{$clientemail}">
                            </div>
                            <div>
                                <label for="inputPhone">
                                    {$LANG.orderForm.phoneNumber} {if in_array('phonenumber', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="tel" name="phonenumber" id="inputPhone" class="form-control" placeholder="" value="{$clientphonenumber}">
                            </div>
                        </div>
                        <h4 class="py-3 pl-0">{$LANG.orderForm.billingAddress}</h4>
                        <div class="grid-cols-2 gap-2 sm:grid">
                            <div>
                                <label for="inputCompanyName">
                                    {$LANG.orderForm.companyName} ({$LANG.orderForm.optional})
                                </label>
                                <input type="text" name="companyname" id="inputCompanyName" class="form-control" placeholder="" value="{$clientcompanyname}">
                            </div>
                            {if $showTaxIdField}
                                <div>
                                    <label for="inputTaxId">
                                    {$taxLabel} ({$LANG.orderForm.optional})
                                    </label>

                                    <input type="text" name="tax_id" id="inputTaxId" class="form-control" placeholder="" value="{$clientTaxId}">
                                </div>
                            {/if}
                            <div>
                                <label for="inputAddress1">
                                    {$LANG.orderForm.streetAddress} {if in_array('address1', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="address1" id="inputAddress1" class="form-control" placeholder="" value="{$clientaddress1}" {if !in_array('address1', $optionalFields)}required{/if}>
                            </div>
                            <div>
                                <label for="inputAddress2">
                                    {$LANG.orderForm.streetAddress2}
                                </label>
                                <input type="text" name="address2" id="inputAddress2" class="form-control" placeholder="" value="{$clientaddress2}">
                            </div>
                            <div>
                                <label for="inputCity">
                                    {$LANG.orderForm.city} {if in_array('city', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="city" id="inputCity" class="form-control" placeholder="" value="{$clientcity}" {if !in_array('city', $optionalFields)}required{/if}>
                            </div>
                            <div>
                                <label for="stateinput">
                                    {$LANG.orderForm.state} {if in_array('state', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="state" id="state" class="form-control" placeholder="" value="{$clientstate}" {if !in_array('state', $optionalFields)}required{/if}>
                            </div>
                            <div>
                                <label for="inputPostcode">
                                    {$LANG.orderForm.postcode} {if in_array('postcode', $optionalFields)} ({$LANG.orderForm.optional}){/if}
                                </label>
                                <input type="text" name="postcode" id="inputPostcode" class="form-control" placeholder="" value="{$clientpostcode}" {if !in_array('postcode', $optionalFields)}required{/if}>
                            </div>
                            <div>
                                <label for="inputCountry" id="inputCountryIcon">
                                    {$LANG.orderForm.country}
                                </label>
                                <select name="country" id="inputCountry" class="form-control">
                                    {foreach $clientcountries as $countryCode => $countryName}
                                        <option value="{$countryCode}" {if (!$clientcountry && $countryCode eq $defaultCountry) || ($countryCode eq $clientcountry)} selected="selected" {/if}>
                                            {$countryName}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
    
                        {if $customfields || $currencies}
                            <h4 class="py-3 pl-0">{$LANG.orderadditionalrequiredinfo}</h4>
                            <div class="grid-cols-2 gap-2 sm:grid">
                                {if $customfields}
                                    {foreach $customfields as $customfield}
                                        <div>
                                            <label for="customfield{$customfield.id}">{$customfield.name}</label>
                                            {$customfield.input}
                                            {if $customfield.description}
                                                <span class="help-block">{$customfield.description}</span>
                                            {/if}
                                        </div>
                                    {/foreach}
                                {/if}
                                {if $customfields && count($customfields)%2 > 0 }
                                    <div class="clearfix"></div>
                                {/if}
                                {if $currencies}
                                    <div>
                                        <label for="inputCurrency">
                                            {$LANG.choosecurrency}
                                        </label>
                                        <select id="inputCurrency" name="currency" class="form-control">
                                            {foreach from=$currencies item=curr}
                                                <option value="{$curr.id}" {if !$smarty.post.currency && $curr.default || $smarty.post.currency eq $curr.id } selected{/if}>{$curr.code}</option>
                                            {/foreach}
                                        </select>
                                    </div>
                                {/if}
                            </div>
                        {/if}
                    </div>
                    <div id="containerNewUserSecurity" {if $remote_auth_prelinked && !$securityquestions } class="hidden" {/if}>
                        <h4 class="py-3 pl-0">{$LANG.orderForm.accountSecurity}</h4>
                        <div id="containerPassword" class="sm:grid grid-cols-2 gap-2{if $remote_auth_prelinked && $securityquestions} hidden{/if}">
                            <div id="passwdFeedback" style="display: none;" class="text-center alert alert-info col-sm-12"></div>
                            <div>
                                <label for="inputNewPassword1">
                                    {$LANG.clientareapassword}
                                </label>
                                <input type="password" name="password" id="inputNewPassword1" data-error-threshold="{$pwStrengthErrorThreshold}" data-warning-threshold="{$pwStrengthWarningThreshold}" class="form-control" placeholder="" autocomplete="off" {if $remote_auth_prelinked} value="{$password}" {/if}>
                            </div>
                            <div>
                                <label for="inputNewPassword2">
                                    {$LANG.clientareaconfirmpassword}
                                </label>
                                <input type="password" name="password2" id="inputNewPassword2" class="form-control" placeholder="" autocomplete="off" {if $remote_auth_prelinked} value="{$password}" {/if}>
                            </div>
                            <div>
                                <button type="button" class="btn btn-default btn-sm generate-password" data-targetfields="inputNewPassword1,inputNewPassword2">
                                    {$LANG.generatePassword.btnLabel}
                                </button>
                            </div>
                            <div>
                                <div class="progress">
                                    <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" id="passwordStrengthMeterBar">
                                    </div>
                                </div>
                            </div>
                        </div>
                        {if $securityquestions}
                            <div class="grid-cols-2 gap-2 sm:grid">
                                <div>
                                    <label for="inputSecurityQId">&nbsp;</label>
                                    <select name="securityqid" id="inputSecurityQId" class="form-control">
                                        <option value="">{$LANG.clientareasecurityquestion}</option>
                                        {foreach $securityquestions as $question}
                                            <option value="{$question.id}" {if $question.id eq $securityqid} selected{/if}>
                                                {$question.question}
                                            </option>
                                        {/foreach}
                                    </select>
                                </div>
                                <div>
                                    <label for="inputSecurityQAns">
                                        {$LANG.clientareasecurityanswer}
                                    </label>
                                    <input type="password" name="securityqans" id="inputSecurityQAns" class="form-control" placeholder="" autocomplete="off">
                                </div>
                            </div>
                        {/if}
                    </div>
    
                    {if $showMarketingEmailOptIn}
                        <div class="marketing-email-optin">
                            <h4 class="py-3 pl-0">{lang key='emailMarketing.joinOurMailingList'}</h4>
                            <p>{$marketingEmailOptInMessage}</p>
                            <input type="checkbox" name="marketingoptin" value="1" {if $marketingEmailOptIn} checked{/if} class="no-icheck toggle-switch-success" data-size="small" data-on-text="{lang key='yes'}" data-off-text="{lang key='no'}">
                        </div>
                    {/if}
    
                    {include file="$template/includes/captcha.tpl"}
    
                    {if $accepttos}
                        <div class="flex items-center mt-5 mb-3">
                            <input class="mt-0 mr-2 border appearance-none input accepttos" id="accepttos" type="checkbox" name="accepttos">
                            <label for="accepttos" class="m-0 font-normal cursor-pointer select-none">
                                {$LANG.ordertosagreement} <a href="{$tosurl}" target="_blank">{$LANG.ordertos}</a>
                            </label>
                        </div>
                    {/if}
    
                    <div>
                        <input class="btn {if $hexa_minimal == 1}btn-block {/if}btn-primary{$captcha->getButtonClass($captchaForm)}" type="submit" value="{$LANG.clientregistertitle}" />
                    </div>
                </form>
            </div>
        </div>
    </div>
{/if}