{if $hexa_minimal == 0}
    {include file="$template/includes/pageheader.tpl" title=$LANG.contacttitle icon='paper-plane'}
{/if}
<div class="flex flex-col justify-center items-center{if $hexa_minimal == 1} h-screen{/if}">
    {if $hexa_minimal == 1}
        <div class="px-5 pt-5">
            <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" title="{$companyname}">
                {if !isset($hexa_logo)}
                    <span class="logo">
                        <svg xmlns="http://www.w3.org/2000/svg" class="hexa-logo" fill="currentColor" viewBox="0 0 784 350" width="100" height="50">
                            <defs />
                            <path d="M144 118h1V0L71 59 9 109l73 59 62-50zM145 232h-1L0 116v118l145 116V232zM145 232v118l73-59 63-50-74-59-62 50zM145 0v118l144 116V116L145 0zM439 233h-25v-48h-54v48h-24V118h24v45h54v-45h25zM543 233h-81V118h81v22h-57v24h56v21h-56v26h57zM666 233h-29l-29-42-29 42h-29l42-59-39-56h29l26 39 26-39h29l-39 56z" class="cls-1" />
                            <path d="M784 233h-28l-7-20h-49l-8 20h-27l44-115h31zm-42-41l-18-49-18 49z" />
                        </svg>
                    </span>
                {else}
                    <span class="logo">
                        <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                    </span>
                {/if}
            </a>
        </div>
    {/if}
    <div class="px-3 sm:px-5 pt-5 pb-5 mt-5 w-full{if $hexa_minimal == 1} shadow-md rounded-md max-w-xl mx-auto bg-gray-950{/if}">
        {if $hexa_minimal == 1}<h4 class="text-center pb-3">{$LANG.contacttitle}</h4>{/if}
        {if $sent}
            <div class="alert alert-success">{$LANG.contactsent}</div>
        {else}
            {if $errormessage}
                <div class="alert alert-danger">{$LANG.warning}
                    <ul class="list-unstyled">
                        {$errormessage}
                    </ul>
                </div>
            {/if}
            <form method="post" action="contact.php?action=send" name="frmcontact">
                <div class="form-group">
                    <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span aria-hidden="true" class="icon icon-user"></span></span>
                        <input type="text" name="name" id="name" class="form-control" value="{$name}" placeholder="{$LANG.supportticketsclientname}" />
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span aria-hidden="true" class="icon icon-envelope"></span></span>
                        <input type="email" name="email" id="email" class="form-control" value="{$email}" placeholder="{$LANG.supportticketsclientemail}" required />
                    </div>
                </div>
                <div class="form-group">
                    <input type="text" name="subject" id="subject" class="form-control input-lg" value="{$subject}" placeholder="{$LANG.supportticketsticketsubject}" />
                </div>
                <div class="form-group">
                    <textarea name="message" id="message" rows="5" class="form-control input-lg" placeholder="{$LANG.contactmessage}">{$message}</textarea>
                </div>
                {if $captcha}
                    <div class="form-group">
                        {include file="$template/includes/captcha.tpl"}
                    </div>
                {/if}
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="submit" class="btn {if $hexa_minimal == 1}btn-block {/if}btn-primary{$captcha->getButtonClass($captchaForm)}">{$LANG.contactsend}</button>
                        </div>
                    </div>
                </div>
            </form>
        {/if}
    </div>
</div>