{include file="$template/includes/pageheader.tpl" title=$LANG.downloadstitle desc=$LANG.downloadsintrotext icon=doc}
<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    <div class="col-span-12">
        <form method="post" action="{routePath('download-search')}">
            <div class="input-group input-group-lg -ml-5">
                <input type="text" name="search" value="{$LANG.downloadssearch}" class="form-control" onfocus="if(this.value=='{$LANG.downloadssearch}')this.value=''" />
                <span class="input-group-btn">
                    <button type="submit" class="btn btn-primary"><i class="fal fa-search"></i></button>
                </span>
            </div>
        </form>
    </div>
    <div class="col-span-12">
        {include file="$template/includes/subheader.tpl" title=$LANG.downloadscategories}
    </div>
    {foreach from=$dlcats item=dlcat}
        <div class="col-span-12 sm:col-span-6 xl:col-span-4">
            <div class="flex items-center">
                <svg xmlns="http://www.w3.org/2000/svg" class="w-5 h-5" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                    <path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path>
                </svg>
                <a class="ml-3" href="{routePath('download-by-cat', $dlcat.id, $dlcat.urlfriendlyname)}">{$dlcat.name}</a>
                <span class="py-1 px-3 rounded-full text-xs bg-gray-990 text-gray-10 light:bg-gray-10 light:text-gray-400 cursor-pointer ml-auto">{$dlcat.numarticles}</span>
            </div>
            <p class="sm:ml-8 pt-2">{$dlcat.description}</p>
        </div>
    {/foreach}
    <div class="col-span-12">
        {include file="$template/includes/subheader.tpl" title=$LANG.downloadspopular}
    </div>
    <div class="col-span-12">
        <div class="list-group">
            {foreach $mostdownloads as $download}
                <a href="{$download.link}" class="list-group-item flex items-center">
                    <div class="ml-1 mr-auto">
                        {$download.title}{if $download.clientsonly} <span class="glyphicon glyphicon-lock"></span>{/if} <span class="py-1 px-3 rounded-full text-xs bg-gray-990 text-gray-10 light:bg-gray-10 light:text-gray-400 cursor-pointer">{$download.filesize}</span>
                        <p class="pt-2">{$download.description}</p>
                    </div>   
                </a>
            {/foreach}
        </div>
    </div>
</div>