{if $item->hasChildren()}
    <div class="col-span-12 sm:-mx-5">
        <div menuItemName="{$item->getName()}" {if $item->getAttribute('id')} id="{$item->getAttribute('id')}"{/if}>
          <h3 class="page-header-2"><span aria-hidden="true" class="icon icon-briefcase"></span> <span class="text-lg header-text">{$LANG.projectManagement.activeProjects|replace:'Your Active Projects':'Active Projects'}</span></h3>      
            {if $item->hasBodyHtml()}
                <div class="panel-body">
                    {$item->getBodyHtml()}
                </div>
            {/if}
            {if $item->hasChildren()}
                <div class="tab-content">
                    <div class="tab-pane active" id="panel_{$item->getAttribute('id')}">
                        <table class="table table-data table-hover" id="myProjects">
                            <thead>
                                <tr>
                                    <th>{hexa_get_project_management_lang('title')}</th>
                                    <th class="hidden-sm hidden-xs">{hexa_get_project_management_lang('created')}</th>
                                    <th class="hidden-xs">{hexa_get_project_management_lang('duedate')}</th>
                                    <th>{hexa_get_project_management_lang('status')}</th>
                                    <th class="text-right hidden-sm hidden-xs">{hexa_get_project_management_lang('lastmodified')}</th>
                                </tr>
                            </thead>
                            <tbody>{foreach $item->getChildren() as $childItem}
                                    {if $childItem->getUri()}
                                        <tr>
                                            <td>
                                                <a menuItemName="{$childItem->getName()}" href="{$childItem->getUri()}" class="{if $childItem->getClass()} {$childItem->getClass()}{/if}{if $childItem->isCurrent()} active{/if}" {if $childItem->getAttribute('dataToggleTab')} data-toggle="tab"{/if}{if $childItem->getAttribute('target')} target="{$childItem->getAttribute('target')}"{/if} id="{$childItem->getId()}">
                                                    {if $childItem->hasIcon()}<i class="{$childItem->getIcon()}"></i>&nbsp;{/if}
                                                    {hexa_get_projects_info_from_db_($childItem->getUri(),'title')}
                                                    {if $childItem->hasBadge()}&nbsp;<span class="badge">{$childItem->getBadge()}</span>{/if}
                                                </a>
                                            </td>
                                            <td class="hidden-sm hidden-xs">
                                                {hexa_get_projects_info_from_db_($childItem->getUri(),'created')}
                                            </td>
                                            <td class="hidden-sm hidden-xs">
                                                {hexa_get_projects_info_from_db_($childItem->getUri(),'duedate')}
                                            </td>
                                            <td class="hidden-sm hidden-xs">
                                                {hexa_get_projects_info_from_db_($childItem->getUri(),'status')}
                                            </td>
                                            <td class="text-right hidden-sm hidden-xs">
                                                {hexa_get_projects_info_from_db_($childItem->getUri(),'lastmodified')}
                                            </td>
                                        </tr>
                                    {/if}
                                {/foreach}
                            </tbody>
                        </table>
                    </div>
                </div>
            {/if}
            {if $item->hasFooterHtml()}
                <div class="panel-footer">
                    {$item->getFooterHtml()}
                </div>
            {/if}
        </div>
    </div>
{/if}