{include file="$template/includes/pageheader.tpl" title=$LANG.knowledgebasetitle icon=notebook}
<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    <div class="col-span-12">
        <p>{$breadcrumbnav}</p>
        <h1 class="font-thin text-3xl">{$kbarticle.title}</h1>
        <div class="well">
            {$kbarticle.text}
            {if $kbarticle.editLink}
                <div class="pt-5">
                    <a href="{$kbarticle.editLink}" class="btn btn-outlined btn-xs">
                        {$LANG.edit}
                    </a>
                </div>
            {/if}
        </div>
        {if $kbarticle.tags }
            <p><i class="fas fa-tag"></i> {$kbarticle.tags}</p>
        {/if}
    </div>
    <div class="col-span-12">
        <div class="hidden-print well">
            {if $kbarticle.voted}{$LANG.knowledgebaserating}{/if}
            {if $kbarticle.voted}
                {$kbarticle.useful} {$LANG.knowledgebaseratingtext} ({$kbarticle.votes} {$LANG.knowledgebasevotes})
            {else}
                <form action="{routePath('knowledgebase-article-view', {$kbarticle.id}, {$kbarticle.urlfriendlytitle})}" method="post">
                    <input type="hidden" name="useful" value="vote">
                    <div class="flex items-center">
                        <div class="ml-1 mr-auto">
                            <div class="font medium">
                                {if $kbarticle.voted}{$LANG.knowledgebaserating}{else}{$LANG.knowledgebasehelpful}{/if}
                            </div>
                            <div class="text-xs pt-3">
                                <i class="fal fa-heart"></i> {$kbarticle.useful} {$LANG.knowledgebaseratingtext} <span class="py-1 px-2 rounded-full text-xs bg-gray-990 light:bg-gray-10 text-gray-700 light:text-gray-400 cursor-pointer truncate mx-2">{$kbarticle.votes} {$LANG.knowledgebasevotes}</span>
                            </div>
                        </div>
                        <div>
                            <button type="submit" name="vote" value="yes" class="btn btn-default" title="{$LANG.knowledgebasehelpful} - {$LANG.knowledgebaseyes}"><i class="fal fa-thumbs-up"></i></button>
                            <button type="submit" name="vote" value="no" class="btn btn-default" title="{$LANG.knowledgebasehelpful} - {$LANG.knowledgebaseno}"><i class="fal fa-thumbs-down"></i></button>
                        </div>
                    </div>
                </form>
            {/if}
        </div>
    </div>
    {if $kbarticles}
        <div class="col-span-12">
            {include file="$template/includes/subheader.tpl" title=$LANG.knowledgebasealsoread icon=paper-clip}
        </div>
        <div class="col-span-12">
            <div class="list-group">
                {foreach key=num item=kbarticle from=$kbarticles}
                    <a class="list-group-item flex items-center" href="{routePath('knowledgebase-article-view', {$kbarticle.id}, {$kbarticle.urlfriendlytitle})}">
                        {$kbarticle.title}
                        <span class="py-1 px-3 rounded-full text-xs bg-gray-990 text-gray-10 light:bg-gray-10 light:text-gray-400 cursor-pointer ml-auto">{$kbarticle.views}</span>
                    </a>
                {/foreach}
            </div>
        </div>
    {/if}
</div>