{include file="$template/includes/pageheader.tpl" title=$LANG.knowledgebasetitle icon=notebook}
<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    <div class="col-span-12">
    <p>{$breadcrumbnav}</p>
        <form role="form" method="post" action="{routePath('knowledgebase-search')}">
            <div class="pt-1 -ml-5 input-group input-group-lg kb-search">
                <input type="text" id="inputKnowledgebaseSearch" name="search" class="form-control" placeholder="{$LANG.clientHomeSearchKb}" value="{$searchterm}" />
                <span class="input-group-btn">
                    <button type="submit" class="btn btn-primary"><i class="fal fa-search"></i></button>
                </span>
            </div>
        </form>
    </div>
    {if $kbcats}
        <div class="col-span-12">
        {include file="$template/includes/subheader.tpl" title=$LANG.knowledgebasecategories}
        </div>
        {foreach from=$kbcats name=kbcats item=kbcat}
            <div class="col-span-12 sm:col-span-6 xl:col-span-4">
                <div class="flex items-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-5 h-5" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path>
                    </svg>
                    <a href="{routePath('knowledgebase-category-view', {$kbcat.id}, {$kbcat.urlfriendlyname})}" class="ml-3">
                        {$kbcat.name} 
                    </a>
                    {if $kbcat.editLink}
                        <a href="{$kbcat.editLink}" class="ml-3 btn btn-outlined btn-xs">
                            {$LANG.edit}
                        </a>
                    {/if}
                    <span class="px-3 py-1 ml-auto text-xs rounded-full cursor-pointer bg-gray-990 text-gray-10 light:bg-gray-10 light:text-gray-400">{$kbcat.numarticles}</span>
                </div>
                <p class="pt-2 sm:ml-8">{$kbcat.description}</p>
            </div>
        {/foreach}
    {/if}
    {if $kbarticles || !$kbcats}
        {if $tag}
            <h2>{$LANG.kbviewingarticlestagged} '{$tag}'</h2>
        {else}
        <div class="col-span-12">    
        {include file="$template/includes/subheader.tpl" title=$LANG.knowledgebasearticles}
        </div>
        {/if}
        {foreach from=$kbarticles name=kbarticles item=kbarticle}
            <div class="col-span-12 xl:col-span-6">
                <div class="well">
                    <div class="flex items-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-5 h-5" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path>
                            <polyline points="13 2 13 9 20 9"></polyline>
                        </svg>
                        <a class="ml-3" href="{routePath('knowledgebase-article-view', {$kbarticle.id}, {$kbarticle.urlfriendlytitle})}">
                            {$kbarticle.title}
                        </a>
                        {if $kbarticle.editLink}
                            <a href="{$kbarticle.editLink}" class="ml-3 btn btn-outlined btn-xs">
                                {$LANG.edit}
                            </a>
                        {/if}
                    </div>
                    <p class="pt-2 sm:ml-8">{$kbarticle.article|truncate:222:"..."}</p>
                </div>
            </div>
        {foreachelse}
            <div class="col-span-12">
            {include file="$template/includes/alert.tpl" type="warning" msg=$LANG.knowledgebasenoarticles textcenter=true}
            </div>
        {/foreach}
    {/if}
</div>