<div class="flex flex-col items-center justify-center h-screen text-center">
    <div class="p-5">
        <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" title="{$companyname}">
            {if !isset($hexa_logo)}
                <span class="logo">
                    <svg xmlns="http://www.w3.org/2000/svg" class="hexa-logo" fill="currentColor" viewBox="0 0 784 350" width="100" height="50">
                        <defs />
                        <path d="M144 118h1V0L71 59 9 109l73 59 62-50zM145 232h-1L0 116v118l145 116V232zM145 232v118l73-59 63-50-74-59-62 50zM145 0v118l144 116V116L145 0zM439 233h-25v-48h-54v48h-24V118h24v45h54v-45h25zM543 233h-81V118h81v22h-57v24h56v21h-56v26h57zM666 233h-29l-29-42-29 42h-29l42-59-39-56h29l26 39 26-39h29l-39 56z" class="cls-1" />
                        <path d="M784 233h-28l-7-20h-49l-8 20h-27l44-115h31zm-42-41l-18-49-18 49z" />
                    </svg>
                </span>
            {else}
                <span class="logo">
                    <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                </span>
            {/if}
        </a>
    </div>
    <div class="w-full max-w-lg px-5 pt-8 pb-5 mx-auto rounded-md shadow-md bg-gray-950 light:bg-gray-50 sm:px-8">
        <div class="content-wrap">
        {if $condlinks.allowClientRegistration}
            <div class="flex mb-2">
                    <div class="ml-auto pr-0.5"><a href="{$WEB_ROOT}/register.php">{$LANG.signup}</a></div>
            </div>
        {/if}   
            {include file="$template/includes/flashmessage.tpl"}
            <form method="post" action="{routePath('login-validate')}">
                <div class="form-group">
                    <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span aria-hidden="true" class="icon icon-envelope"></span></span>
                        <input class="form-control" name="username" type="text" placeholder="{$LANG.loginemail}">
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span aria-hidden="true" class="icon icon-lock"></span></span>
                        <input class="form-control" name="password" type="password" placeholder="{$LANG.loginpassword}" autocomplete="off">
                    </div>
                </div>
                <div class="flex mt-4 mb-4 text-xs text-gray-700 sm:text-sm">
                    <div class="flex items-center mr-auto">
                        <input type="checkbox" class="mt-0 mr-2 border appearance-none input" name="rememberme" id="rememberme">
                        <label class="m-0 font-normal cursor-pointer select-none" for="rememberme">{$LANG.loginrememberme}</label>
                    </div>
                    <a href="{routePath('password-reset-begin')}" class="forgot pr-0.5">{$LANG.loginforgotteninstructions|replace:'Request a Password Reset':'Password Reset'}</a>
                </div>
                {if $captcha->isEnabled()}
                    {include file="$template/includes/captcha.tpl"}
                {/if}
                <div class="form-group">
                    <input id="login" type="submit" class="btn btn-block btn-lg btn-primary{$captcha->getButtonClass($captchaForm)}" value="{$LANG.loginbutton}" />
                </div>
            </form>
        </div>
    </div>
    <div class="mx-auto bg-gray-950 max-w-lg px-5 sm:px-8 pb-8 rounded-md shadow-md w-full {if !$linkableProviders} hidden{/if}">
        <div class="content-wrap">
            <h6 class="py-3 m-0">{$LANG.signinwith}</h6>
            {include file="$template/includes/linkedaccounts.tpl" linkContext="login" customFeedback=true}
        </div>
    </div>
</div>