{include file="$template/includes/pageheader.tpl" title=$_lang.projectdetails icon='briefcase'}
<div class="grid grid-cols-12 gap-6 mb-3 sm:ml-5">
    <div class="col-span-12">
        <div class="alert alert-projects alert-{$project.status|strtolower|replace:' ':''} sm:-mx-5 mb-0">
            <div class="m-1 alert-watermark">
                <i class="fas fa-briefcase fa-3x"></i>
            </div>
            <h4>{$project.title}</h4>
            <span class="mr-8"><span aria-hidden="true" class="icon icon-event"></span> {$_lang.created}:{$project.created}</span>
            <span class="mr-8"><span aria-hidden="true" class="icon icon-event"></span> {$_lang.duedate}:{$project.duedate}</span>
            <span class="mr-8"><span aria-hidden="true" class="icon icon-people"></span> {if in_array('staff',$features)} {$project.adminname}{/if}</span>
            {if in_array('time',$features)}
                <span class="mr-8"><span aria-hidden="true" class="icon icon-clock-o"></span> {$_lang.totaltime}:{$project.totaltime}</span>
            {/if}
            <span class="mr-0"><span aria-hidden="true" class="icon icon-tag"></span> {$project.status}</span>
        </div>
        <div class="mb-0 alert alert-info sm:-mx-5">
            <div class="grid grid-cols-12 gap-6">
                <div class="{if $invoices}col-span-6{else}col-span-12{/if}">
                    <h4>{$_lang.associatedtickets}</h4>
                    {if $tickets}
                        {foreach from=$tickets item=ticket}
                            <span class="mr-8"><span aria-hidden="true" class="icon icon-tag"></span> {$ticket.tid} <a href="viewticket.php?tid={$ticket.tid}&c={$ticket.c}">{$ticket.title}</a></span>
                        {/foreach}
                    {else}
                        {$_lang.none}
                    {/if}
                </div>
                {if $invoices}
                    <div class="col-span-6">
                        <h4>{$_lang.associatedinvoices}</h4>
                        {foreach from=$invoices item=invoice}
                            <p><a href="viewinvoice.php?id={$invoice.id}">{$LANG.invoicenumber}{$invoice.id}</a> - {$invoice.total} <span class="label {$invoice.rawstatus}">{$invoice.status}</span></p>
                        {/foreach}
                    </div>
                {/if}
            </div>
        </div>
    </div>
    {if in_array('tasks',$features)}
        {$task_count = count($tasks)}
        {$completed_count = array_count_values(array_column($tasks, 'completed'))}
        {$completed_percent = ($completed_count['1']/$task_count*100)|string_format:"%d"}
    
        <div class="col-span-12">
            <div class="items-center mb-4 sm:flex sm:h-10">
                <h4 class="pl-0"><i class="fal fa-tasks"></i> {$_lang.tasks} {if in_array('time', $features)}</h4>
                <a class="flex items-center ml-auto btn btn-link" href="#" onclick="showTimeLogs();return false"><span aria-hidden="true" class="px-2 icon icon-clock"></span> {$_lang.showhidetimelogs|replace:'Show/Hide Detailed ':''}</a>{/if}
            </div>
            <div class="progress progress-tasks" style="height: 5px; margin-bottom:0;">
                <div class="progress-bar" role="progressbar" aria-valuenow="{$completed_percent}" aria-valuemin="0" aria-valuemax="100" style="width:{$completed_percent}%;">
                </div>
            </div>
            <div class="mb-5"><small>{$LANG.clientareacompleted}: {$completed_percent}%</small></div>
            <ul class="p-0 space-y-5 list-none todo-task">
                {foreach from=$tasks key=tasknum item=task}
                    <li class="flex flex-wrap items-center">{if $task.completed}<i class="pr-2 fal fa-check-square"></i> {else}<i class="pr-2 fal fa-square" aria-hidden="true"></i>{/if} {if $task.completed}<s>{/if}{$tasknum} {$task.task}{if $task.completed}</s>{/if}{if $task.duein} <span class="mx-5">{$task.duein}</span> ({$task.duedate}){/if}
                        {if $task.notes && $add_task_notes}<i class="px-2 far fa-angle-down show-task-info" aria-hidden="true"></i>{/if}
                        {if $task.notes && $add_task_notes}
                            <div class="hidden w-full px-5 py-10 task-info">
                                <div class="pl-5 border-0 border-l-2 border-gray-300 border-solid">{nl2br($task.notes)}</div>
                            </div>
                        {/if}
                        {if $task.times}
                            <div class="w-full">
                                <table class="table max-w-2xl mx-auto mt-8 table-condensed timedetail">
                                    <thead>
                                        <tr>
                                            <th><span aria-hidden="true" class="icon icon-clock"></span> {$_lang.starttime}</th>
                                            <th><span aria-hidden="true" class="icon icon-clock"></span> {$_lang.stoptime}</th>
                                            <th class="text-right">{$_lang.duration}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {foreach from=$task.times item=time}
                                            <tr>
                                                <td>{$time.start}</td>
                                                {if $time.end}<td>{$time.end}</td>
                                                    <td class="text-right">{$time.duration}</td>
                                                {else}<td colspan="2">{$_lang.inprogress}</td>
                                                {/if}
                                            </tr>
                                        {/foreach}
                                        <tr>
                                            <td colspan="2">{$_lang.total}</td>
                                            <td class="text-right">{$task.totaltime}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        {/if}
                    </li>
                {foreachelse}
                    <p>{$LANG.norecordsfound}</p>
                {/foreach}
            </ul>
            {if in_array('addtasks',$features)}
                <form method="post" action="index.php?m=project_management&a=view">
                    <input type="hidden" name="id" value="{$project.id}" />
                    <div class="input-group input-group-sm">
                        <input type="text" name="newtask" class="form-control" placeholder="{$_lang.addtask}">
                        <span class="input-group-btn">
                            <button type="submit" class="btn btn-default">
                                <i class="fas fa-plus"></i>
                            </button>
                        </span>
                    </div>
                </form>
            {/if}
        </div>
    {/if}
    {if in_array('files',$features)}
        <div class="col-span-12">
            <h4 class="pl-0"><i class="fal fa-file"></i> {$_lang.fileuploads}</h4>
            <div id="containerUploadFile">
                <form method="post" action="{$smarty.server.PHP_SELF}?m=project_management&a=view" enctype="multipart/form-data">
                    <input type="hidden" name="id" value="{$project.id}" />
                    <input type="hidden" name="upload" value="true" />
                    <div class="input-group input-group-sm">
                        <label class="input-group-btn">
                            <span class="btn btn-default">
                                <i class="fal fa-folder-open"></i> <input type="file" name="attachments[]" style="display: none;" multiple>
                            </span>
                        </label>
                        <input type="text" class="form-control" readonly>
                        <label class="input-group-btn">
                            <input type="submit" value="{$_lang.upload}" class="btn btn-default" />
                        </label>
                    </div>
                </form>
                <div class="text-xs pt-1.5">
                    {$_lang.allowedExtensions} {$allowedExtensions}
                </div>
            </div>
        </div>
        {if $attachments}
            {foreach from=$attachments key=attachnum item=attachment}
                <div class="col-span-6 sm:col-span-4 md:col-span-3 2xl:col-span-2">
                    <div class="pt-5 pb-3 file">
                        <a href="modules/addons/project_management/project_management.php?action=dl&projectid={$project.id}&i={$attachnum}">
                            <div class="w-2/5 mx-auto text-center">
                                <svg xmlns="http://www.w3.org/2000/svg" style="h-8 w-8" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                    <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path>
                                    <polyline points="13 2 13 9 20 9"></polyline>
                                </svg>
                            </div>
                            <div class="block mt-3 font-medium text-center truncate">{$attachment.filename}</div>
                        </a>
                        <div class="mt-1 text-xs text-center text-gray-600">{$attachment.uploadDate}</div>
                    </div>
                </div>
            {/foreach}
        {else}
            <div class="col-span-3">
                <div class="well"><i class="far fa-empty-set"></i> {$_lang.none}</div>
            </div>
        {/if}
    {/if}
</div>
<script>
    $(function() {
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });
        $(document).ready(function() {
            $(':file').on('fileselect', function(event, numFiles, label) {
                var input = $(this).parents('.input-group').find(':text'),
                    log = numFiles > 1 ? numFiles + ' files selected' : label;
                if (input.length) {
                    input.val(log);
                } else {
                    if (log) alert(log);
                }
            });
        });
    });

    function showTimeLogs() {
        jQuery('.timedetail').fadeToggle();
    }
</script>