{if $hexa_minimal == 1}
    <div class="flex flex-col items-center justify-center h-screen">
        <div class="p-5">
            <a href="{if $hexa_logo_url}{$hexa_logo_url}{else}{$WEB_ROOT}/index.php{/if}" title="{$companyname}">
                {if !isset($hexa_logo)}
                    <span class="logo">
                        <svg xmlns="http://www.w3.org/2000/svg" class="hexa-logo" fill="currentColor" viewBox="0 0 784 350" width="100" height="50">
                            <defs />
                            <path d="M144 118h1V0L71 59 9 109l73 59 62-50zM145 232h-1L0 116v118l145 116V232zM145 232v118l73-59 63-50-74-59-62 50zM145 0v118l144 116V116L145 0zM439 233h-25v-48h-54v48h-24V118h24v45h54v-45h25zM543 233h-81V118h81v22h-57v24h56v21h-56v26h57zM666 233h-29l-29-42-29 42h-29l42-59-39-56h29l26 39 26-39h29l-39 56z" class="cls-1" />
                            <path d="M784 233h-28l-7-20h-49l-8 20h-27l44-115h31zm-42-41l-18-49-18 49z" />
                        </svg>
                    </span>
                {else}
                    <span class="logo">
                        <img {if isset($hexa_logo_width)} style="width:{$hexa_logo_width}px" {/if} src="{$hexa_logo}" title="{$companyname}" alt="{$companyname}">
                    </span>
                {/if}
            </a>
        </div>
        <div class="mx-auto bg-gray-950 light:bg-gray-50 max-w-lg px-5 sm:px-8 pt-8 pb-5 rounded-md shadow-md w-full">
            <div class="content-wrap">
    
                {if $loggedin && $innerTemplate}
                    {include file="$template/includes/alert.tpl" type="error" msg=$LANG.noPasswordResetWhenLoggedIn}
                {else}
                    {if $successMessage}
                        {include file="$template/includes/alert.tpl" type="success" msg=$successTitle}
                        <p>{$successMessage}</p>
                    {else}
                        {if $errorMessage}
                            {include file="$template/includes/alert.tpl" type="error" msg=$errorMessage}
                        {/if}
                        {if $innerTemplate}
                            {include file="$template/password-reset-$innerTemplate.tpl"}
                        {/if}
                    {/if}
                {/if}
    
            </div>
        </div>
        <div class="mx-auto bg-gray-950 max-w-lg px-5 sm:px-8 pb-8 rounded-md shadow-md w-full {if !$linkableProviders} hidden{/if}">
            <div class="content-wrap">
                <h6 class="py-3 m-0">{$LANG.signinwith}</h6>
                {include file="$template/includes/linkedaccounts.tpl" linkContext="login" customFeedback=true}
            </div>
        </div>
    </div>
{else}
    {include file="$template/includes/pageheader.tpl" title=$LANG.pwreset icon="lock"}
    <div class="logincontainer">
        {if $loggedin && $innerTemplate}
            {include file="$template/includes/alert.tpl" type="error" msg=$LANG.noPasswordResetWhenLoggedIn}
        {else}
            {if $successMessage}
                {include file="$template/includes/alert.tpl" type="success" msg=$successTitle}
                <p>{$successMessage}</p>
            {else}
                {if $errorMessage}
                    {include file="$template/includes/alert.tpl" type="error" msg=$errorMessage}
                {/if}
                {if $innerTemplate}
                    {include file="$template/password-reset-$innerTemplate.tpl"}
                {/if}
            {/if}
        {/if}
    </div>
    
{/if}