{include file="$template/includes/pageheader.tpl" title=$LANG.networkstatustitle desc=$LANG.networkstatusintro icon=feed}
<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    <div class="col-span-12 sm:col-span-6 xl:col-span-4">
        <div class="flex bg-accent-1 items-center mb-4">
            <a class="w-1/3 bg-gray-990 light:bg-gray-10" href="{$smarty.server.PHP_SELF}?view=open">
                <div class="p-6 text-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon>
                        <line x1="12" y1="8" x2="12" y2="12"></line>
                        <line x1="12" y1="16" x2="12.01" y2="16"></line>
                    </svg>
                </div>
            </a>
            <div class="w-2/3 items-center px-4 py-3">
                <div class="flex pb-1">
                    <span class="text-gray-990">{$opencount}</span>
                </div>
                <div class="flex pt-3">
                    <a href="{$smarty.server.PHP_SELF}?view=open">{$LANG.networkissuesstatusopen}</a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-span-12 sm:col-span-6 xl:col-span-4">
        <div class="flex bg-accent-1 items-center mb-4">
            <a class="w-1/3 bg-gray-990 light:bg-gray-10" href="{$smarty.server.PHP_SELF}?view=scheduled">
                <div class="p-6 text-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                        <line x1="16" y1="2" x2="16" y2="6"></line>
                        <line x1="8" y1="2" x2="8" y2="6"></line>
                        <line x1="3" y1="10" x2="21" y2="10"></line>
                    </svg>
                </div>
            </a>
            <div class="w-2/3 items-center px-4 py-3">
                <div class="flex pb-1">
                    <span class="text-gray-990">{$scheduledcount}</span>
                </div>
                <div class="flex pt-3">
                    <a href="{$smarty.server.PHP_SELF}?view=scheduled">{$LANG.networkissuesstatusscheduled}</a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-span-12 sm:col-span-6 xl:col-span-4">
        <div class="flex bg-accent-1 items-center mb-4">
            <a class="w-1/3 bg-gray-990 light:bg-gray-10" href="{$smarty.server.PHP_SELF}?view=resolved">
                <div class="p-6 text-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path>
                    </svg>
                </div>
            </a>
            <div class="w-2/3 items-center px-4 py-3">
                <div class="flex pb-1">
                    <span class="text-gray-990">{$resolvedcount}</span>
                </div>
                <div class="flex pt-3">
                    <a href="{$smarty.server.PHP_SELF}?view=resolved">{$LANG.networkissuesstatusresolved}</a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
    <div class="well">
        {foreach from=$issues item=issue}
            {if $issue.clientaffected}
                <div class="alert-message block-message alert-warning">
                {/if}
                <h3>{$issue.title} ({$issue.status})</h3>
                <p><strong>{$LANG.networkissuesaffecting} {$issue.type}</strong> - {if $issue.type eq $LANG.networkissuestypeserver}{$issue.server}{else}{$issue.affecting}{/if} | <strong>{$LANG.networkissuespriority}</strong> - {$issue.priority}</span></p>
                <blockquote>
                    {$issue.description}
                </blockquote>
                <p><strong>{$LANG.networkissuesdate}</strong> - {$issue.startdate}{if $issue.enddate} - {$issue.enddate}{/if}</p>
                <p><strong>{$LANG.networkissueslastupdated}</strong> - {$issue.lastupdate}</p>
                {if $issue.clientaffected}
            </div>{/if}
        {foreachelse}
            <p><small>{$noissuesmsg}</small></p>
        {/foreach}
        <ul class="pagination">
            <li class="prev{if !$prevpage} disabled{/if}"><a href="{if $prevpage}{$smarty.server.PHP_SELF}?{if $view}view={$view}&amp;{/if}page={$prevpage}{else}javascript:return false;{/if}">&larr; {$LANG.previouspage}</a></li>
            <li class="next{if !$nextpage} disabled{/if}"><a href="{if $nextpage}{$smarty.server.PHP_SELF}?{if $view}view={$view}&amp;{/if}page={$nextpage}{else}javascript:return false;{/if}">{$LANG.nextpage} &rarr;</a></li>
        </ul>
        </div>
        {if $servers}
            {include file="$template/includes/subheader.tpl" title=$LANG.serverstatustitle}
            <p>{$LANG.serverstatusheadingtext}</p>
            {literal}
                <script>
                    function getStats(num) {
                        jQuery.post('serverstatus.php', 'getstats=1&num=' + num, function(data) {
                            jQuery("#load" + num).html(data.load);
                            jQuery("#uptime" + num).html(data.uptime);
                        }, 'json');
                    }
        
                    function checkPort(num, port) {
                        jQuery.post('serverstatus.php', 'ping=1&num=' + num + '&port=' + port, function(data) {
                            jQuery("#port" + port + "_" + num).html(data);
                        });
                    }
                </script>
            {/literal}
            <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>{$LANG.servername}</th>
                        <th class="text-center">HTTP</th>
                        <th class="text-center">FTP</th>
                        <th class="text-center">POP3</th>
                        <th class="text-center">{$LANG.serverstatusphpinfo}</th>
                        <th class="text-center">{$LANG.serverstatusserverload}</th>
                        <th class="text-center">{$LANG.serverstatusuptime}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$servers key=num item=server}
                        <tr>
                            <td>{$server.name}</td>
                            <td class="text-center" id="port80_{$num}">
                                <span class="fas fa-spinner fa-spin"></span>
                            </td>
                            <td class="text-center" id="port21_{$num}">
                                <span class="fas fa-spinner fa-spin"></span>
                            </td>
                            <td class="text-center" id="port110_{$num}">
                                <span class="fas fa-spinner fa-spin"></span>
                            </td>
                            <td class="text-center"><a href="{$server.phpinfourl}" target="_blank">{$LANG.serverstatusphpinfo}</a></td>
                            <td class="text-center" id="load{$num}">
                                <span class="fas fa-spinner fa-spin"></span>
                            </td>
                            <td class="text-center" id="uptime{$num}">
                                <span class="fas fa-spinner fa-spin"></span>
                                <script>
                                jQuery(document).ready(function() {
                                    checkPort({$num}, 80);
                                    checkPort({$num}, 21);
                                    checkPort({$num}, 110);
                                    getStats({$num});
                                });
                                </script>
                            </td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td colspan="7">{$LANG.serverstatusnoservers}</td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
        </div>
        {/if}
        {if $loggedin}<div class="alert alert-info">
                <p class="pb-0">{$LANG.networkissuesaffectingyourservers}</p>
        </div>{/if}
    </div>
</div>
