{include file="{$template}/header.tpl"}
{include file="$template/includes/pageheader.tpl" title=$LANG.invoicesview}
{if $invalidInvoiceIdRequested}
    {include file="$template/includes/alert.tpl" type="danger" msg=$LANG.invoiceserror}
{else}
    <div class="pl-3 mt-10 xl:pl-5">
        <div class="lg:grid lg:grid-cols-3 lg:gap-6">
            <div class="mt-5 lg:mt-0 lg:col-span-2">
                <div class="overflow-hidden shadow-xl">
                    <div class="px-4 py-5 bg-gray-900 border border-gray-600 border-solid light:bg-gray-10 light:border-gray-100 sm:p-6">    
                        {if $paymentSuccessAwaitingNotification}
                            {include file="$template/includes/alert.tpl" type="success" msg=$LANG.invoicePaymentSuccessAwaitingNotify}
                        {elseif $paymentSuccess}
                            {include file="$template/includes/alert.tpl" type="success" msg=$LANG.invoicepaymentsuccessconfirmation}
                        {elseif $paymentInititated}
                            {include file="$template/includes/alert.tpl" type="info" msg=$LANG.invoicePaymentInitiated}
                        {elseif $pendingReview}
                            {include file="$template/includes/alert.tpl" type="info" msg=$LANG.invoicepaymentpendingreview}
                        {elseif $paymentFailed}
                            {include file="$template/includes/alert.tpl" type="danger" msg=$LANG.invoicepaymentfailedconfirmation}
                        {elseif $offlineReview}
                            {include file="$template/includes/alert.tpl" type="info" msg=$LANG.invoiceofflinepaid}
                        {/if}    
                        <div class="lg:grid lg:grid-cols-2 lg:gap-8">
                            <div class="mt-5">
                                {if $logo}
                                    <p><img src="{$logo}" title="{$companyname}" /></p>
                                {else}
                                    <h2 class="mt-0">{$companyname}</h2>
                                {/if}
                                <h3>{$pagetitle}
                                    {if $status eq "Draft"}
                                        <span class="draft">{$LANG.invoicesdraft}</span>
                                    {elseif $status eq "Unpaid"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicesunpaid}</span>
                                    {elseif $status eq "Paid"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicespaid}</span>
                                    {elseif $status eq "Refunded"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicesrefunded}</span>
                                    {elseif $status eq "Cancelled"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicescancelled}</span>
                                    {elseif $status eq "Collections"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicescollections}</span>
                                    {elseif $status eq "Payment Pending"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.invoicesPaymentPending}</span>
                                    {/if}
                                </h3>
                            </div>
                            <div class="mt-10">
                                <ul class="pl-0 list-none">
                                    <li>
                                        <span class="font-bold">{$LANG.invoicesdatecreated}</span>
                                        <span>{$date}</span>
                                    </li>
                                    {if $status eq "Unpaid" || $status eq "Draft"}
                                        <li>
                                            <span class="font-bold">{$LANG.invoicesdatedue}</span>
                                            <span>{$datedue}</span>
                                        </li>
                                    {/if}
                                    {if $status neq "Unpaid"}
                                        <li>
                                            <span class="font-bold">{$LANG.orderpaymentmethod}</span>
                                            <span>{$paymentmethod}{if $paymethoddisplayname} ({$paymethoddisplayname}){/if}</span>
                                        </li>
                                    {/if}
                                </ul>
                            </div>
                        </div>
    
                        <div class="lg:grid lg:grid-cols-2 lg:gap-8">
                            <div class="mt-10">
                                <h3>{$LANG.invoicespayto}:</h3>
                                <address>
                                    {$payto}
                                    {if $taxCode}<br />{$taxIdLabel}: {$taxCode}{/if}
                                </address>
                            </div>
                            <div class="mt-10">
                                <h3>{$LANG.invoicesinvoicedto}:</h3>
                                <address class="small-text">
                                    {if $clientsdetails.companyname}{$clientsdetails.companyname}<br />{/if}
                                    {$clientsdetails.firstname} {$clientsdetails.lastname}<br />
                                    {$clientsdetails.address1}, {$clientsdetails.address2}<br />
                                    {$clientsdetails.city}, {$clientsdetails.state}, {$clientsdetails.postcode}<br />
                                    {$clientsdetails.country}
                                    {if $clientsdetails.tax_id}
                                        <br />{$taxIdLabel}: {$clientsdetails.tax_id}
                                    {/if}
                                    {if $customfields}
                                        <br /><br />
                                        {foreach from=$customfields item=customfield}
                                            {$customfield.fieldname}: {$customfield.value}<br />
                                        {/foreach}
                                    {/if}
                                </address>
                            </div>
                        </div>
    
                        <h3>{$LANG.invoicelineitems}</h3>
                        <div class="table-responsive">
                            <table class="table table-condensed">
                                <thead>
                                    <tr class="bg-gray-950 light:bg-gray-100">
                                        <td><strong>{$LANG.invoicesdescription}</strong></td>
                                        <td width="20%" class="text-center"><strong>{$LANG.invoicesamount}</strong></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    {foreach from=$invoiceitems item=item}
                                        <tr>
                                            <td>{$item.description}{if $item.taxed eq "true"} *{/if}</td>
                                            <td class="text-center">{$item.amount}</td>
                                        </tr>
                                    {/foreach}
                                    <tr>
                                        <td class="text-right total-row"><strong>{$LANG.invoicessubtotal}</strong></td>
                                        <td class="text-center total-row">{$subtotal}</td>
                                    </tr>
                                    {if $taxname}
                                        <tr>
                                            <td class="text-right total-row"><strong>{$taxrate}% {$taxname}</strong></td>
                                            <td class="text-center total-row">{$tax}</td>
                                        </tr>
                                    {/if}
                                    {if $taxname2}
                                        <tr>
                                            <td class="text-right total-row"><strong>{$taxrate2}% {$taxname2}</strong></td>
                                            <td class="text-center total-row">{$tax2}</td>
                                        </tr>
                                    {/if}
                                    <tr>
                                        <td class="text-right total-row"><strong>{$LANG.invoicescredit}</strong></td>
                                        <td class="text-center total-row">{$credit}</td>
                                    </tr>
                                    <tr>
                                        <td class="text-right total-row"><strong>{$LANG.invoicestotal}</strong></td>
                                        <td class="text-center total-row">{$total}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        {if $taxrate}
                            <p>* {$LANG.invoicestaxindicator}</p>
                        {/if}
    
                        <div class="table-responsive">
                            <table class="table table-condensed">
                                <thead>
                                    <tr class="bg-gray-950 light:bg-gray-100">
                                        <td class="text-center"><strong>{$LANG.invoicestransdate}</strong></td>
                                        <td class="text-center"><strong>{$LANG.invoicestransgateway}</strong></td>
                                        <td class="text-center"><strong>{$LANG.invoicestransid}</strong></td>
                                        <td class="text-center"><strong>{$LANG.invoicestransamount}</strong></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    {foreach from=$transactions item=transaction}
                                        <tr>
                                            <td class="text-center">{$transaction.date}</td>
                                            <td class="text-center">{$transaction.gateway}</td>
                                            <td class="text-center">{$transaction.transid}</td>
                                            <td class="text-center">{$transaction.amount}</td>
                                        </tr>
                                    {foreachelse}
                                        <tr>
                                            <td class="text-center" colspan="4">{$LANG.invoicestransnonefound}</td>
                                        </tr>
                                    {/foreach}
                                    <tr>
                                        <td class="text-right" colspan="3"><strong>{$LANG.invoicesbalance}</strong></td>
                                        <td class="text-center">{$balance}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
    
                        {if $notes}
                            <div class="p-5 text-gray-300 bg-gray-700">
                                <div class="py-3">
                                    <h3 class="text-gray-400">{$LANG.invoicesnotes}</h3>
                                </div>
                                <div class="py-2">
                                    {$notes}
                                </div>
                            </div>
                        {/if}
                    </div>
                </div>
            </div>
            <div class="lg:col-span-1">
                <div class="px-4 sm:px-0">
                    <div class="text-left">
                        <div class="pb-1">{$LANG.paymentmethod}</div>
                        <span class="small-text" data-role="paymethod-info">
                            {if $status eq "Unpaid" && $allowchangegateway}
                                <form method="post" action="{$smarty.server.PHP_SELF}?id={$invoiceid}" class="w-full">
                                    {$gatewaydropdown}
                                </form>
                            {else}
                                {$paymentmethod}{if $paymethoddisplayname} ({$paymethoddisplayname}){/if}
                            {/if}
                        </span>
                    </div>
                    {if $status eq "Unpaid" || $status eq "Draft"}
                        <div class="payment-btn-container hidden-print" align="left">
                            {$paymentbutton}
                        </div>
                    {/if}
                </div>

                {if $manualapplycredit}
                    <div menuitemname="Add Funds" class="well panel-sidebar panel-add-funds">
                        <form method="post" action="{$smarty.server.PHP_SELF}?id={$invoiceid}">
                                <input type="hidden" name="applycredit" value="true">                              
                                <div class="py-3">{$LANG.invoiceaddcreditdesc1} {$totalcredit}</div>
                                  <div class="form-group">
                                    <label class="control-label">{$LANG.invoiceaddcreditamount|replace:'Enter the amount to apply':'Enter the amount'}</label>
                                    <div class="input-group">
                                        <input type="text" name="creditamount" value="{$creditamount}" class="form-control" />
                                        <span class="input-group-btn">
                                            <input type="submit" value="{$LANG.invoiceaddcreditapply}" class="btn btn-default" id="btnInvoiceAddCreditApply" />
                                        </span>
                                    </div>
                                </div>
                            </form>    
                    </div>
                {/if}

                <div class="pt-5 pl-0.5">
                    <a href="dl.php?type=i&amp;id={$invoiceid}" class="btn btn-default">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 mr-1" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path>
                            <polyline points="7 10 12 15 17 10"></polyline>
                            <line x1="12" y1="15" x2="12" y2="3"></line>
                        </svg> {$LANG.invoicesdownload}</a>
                </div>
            </div>
        </div>
    </div>
{/if}
{include file="{$template}/footer.tpl"}