{include file="{$template}/header.tpl"}
{include file="$template/includes/pageheader.tpl" title=$LANG.quote}

{if $invalidQuoteIdRequested}
    {include file="$template/includes/alert.tpl" type="danger" msg=$LANG.invoiceserror}
{else}
    <div class="pl-10 mt-10">
        <div class="lg:grid lg:grid-cols-3 lg:gap-6">
            <div class="mt-5 lg:mt-0 lg:col-span-2">
                <div class="overflow-hidden shadow-xl">
                    <div class="px-4 py-5 bg-gray-900 border border-gray-600 border-solid light:bg-gray-10 light:border-gray-100 sm:p-6">
                        {if $agreetosrequired}
                            {include file="$template/includes/alert.tpl" type="danger" msg=$LANG.ordererroraccepttos}
                        {/if}
                        <div class="lg:grid lg:grid-cols-2 lg:gap-8">
                            <div class="mt-5">
                                {if $logo}
                                    <p><img src="{$logo}" title="{$companyname}" /></p>
                                {else}
                                    <h2 class="mt-0">{$companyname}</h2>
                                {/if}
                                <h3>{$LANG.quotenumber}{$id}
    
                                    {if $stage eq "Delivered"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.quotestagedelivered}</span>
                                    {elseif $stage eq "Accepted"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.quotestageaccepted}</span>
                                    {elseif $stage eq "On Hold"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.quotestageonhold}</span>
                                    {elseif $stage eq "Lost"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.quotestagelost}</span>
                                    {elseif $stage eq "Dead"}
                                        <span class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium leading-5 bg-gray-100 text-gray-600">{$LANG.quotestagedead}</span>
                                    {/if}
                                </h3>
                            </div>
                            <div class="mt-10">
                                <ul class="pl-0 list-none">
                                    <li>
                                        <span class="font-bold">{$LANG.quotedatecreated}</span>
                                        <span>{$datecreated}</span>
                                    </li>
                                    <li>
                                        <span class="font-bold">{$LANG.quotevaliduntil}</span>
                                        <span>{$validuntil}</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
    
                        <div class="lg:grid lg:grid-cols-2 lg:gap-8">
                            <div class="mt-10">
                                <h3>{$LANG.quoterecipient}</h3>
                                <address class="small-text">
                                    {if $clientsdetails.companyname}{$clientsdetails.companyname}<br />{/if}
                                    {$clientsdetails.firstname} {$clientsdetails.lastname}<br />
                                    {$clientsdetails.address1}, {$clientsdetails.address2}<br />
                                    {$clientsdetails.city}, {$clientsdetails.state}, {$clientsdetails.postcode}<br />
                                    {$clientsdetails.country}
                                    {if $customfields}
                                        <br /><br />
                                        {foreach from=$customfields item=customfield}
                                            {$customfield.fieldname}: {$customfield.value}<br />
                                        {/foreach}
                                    {/if}
                                </address>
                            </div>
                            <div class="mt-10">
                                <h3>{$LANG.invoicespayto}</h3>
                                <address>
                                    {$payto}
                                </address>
                            </div>
                        </div>
    
                        {if $proposal}
                            <div class="lg:grid lg:grid-cols-1 lg:gap-6">
                                <h3>{$LANG.quoteproposal}</h3>
                                <div class="well">
                                    {$proposal}
                                </div>
                            </div>
                        {/if}
    
                        <h3>{$LANG.quotelineitems}</h3>
                        <div class="table-responsive">
                            <table class="table table-condensed">
                                <thead>
                                    <tr class="bg-gray-950">
                                        <td><strong>{$LANG.invoicesdescription}</strong></td>
                                        <td class="text-center"><strong>{$LANG.quotediscountheading}</strong></td>
                                        <td width="20%" class="text-center"><strong>{$LANG.invoicesamount}</strong></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    {foreach from=$quoteitems item=item}
                                        <tr>
                                            <td>{$item.description}{if $item.taxed} *{/if}</td>
                                            <td class="text-center">{if $item.discountpc > 0}{$item.discount} ({$item.discountpc}%){else} - {/if}</td>
                                            <td class="text-center">{$item.amount}</td>
                                        </tr>
                                    {/foreach}
                                    <tr>
                                        <td colspan="2" class="text-right total-row"><strong>{$LANG.invoicessubtotal}</strong></td>
                                        <td class="text-center total-row">{$subtotal}</td>
                                    </tr>
                                    {if $taxrate}
                                        <tr>
                                            <td colspan="2" class="text-right total-row"><strong>{$taxrate}% {$taxname}</strong></td>
                                            <td class="text-center total-row">{$tax}</td>
                                        </tr>
                                    {/if}
                                    {if $taxrate2}
                                        <tr>
                                            <td colspan="2" class="text-right total-row"><strong>{$taxrate2}% {$taxname2}</strong></td>
                                            <td class="text-center total-row">{$tax2}</td>
                                        </tr>
                                    {/if}
                                    <tr>
                                        <td colspan="2" class="text-right total-row"><strong>{$LANG.quotelinetotal}</strong></td>
                                        <td class="text-center total-row">{$total}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        {if $taxrate}
                            <p>* {$LANG.invoicestaxindicator}</p>
                        {/if}
    
                        {if $notes}
                            <div class="p-5 text-gray-300 bg-gray-700">
                                <div class="py-3">
                                    <h3 class="text-gray-400">{$LANG.invoicesnotes}</h3>
                                </div>
                                <div class="py-2">
                                    {$notes}
                                </div>
                            </div>
                        {/if}
                    </div>
                </div>
            </div>
            <div class="lg:col-span-1">
                <div class="px-4 sm:px-0">
    
                    <div menuitemname="Client Details" class="well panel-payment">
                        <div class="py-3">
                            <div class="mb-3">
                                <span>{$LANG.invoicestotaldue}</span>
                                <span class="font-bold">{$total}</span>
                            </div>
                            {if $stage eq "Delivered" || $stage eq "On Hold"}
                                <button type="button" class="btn btn-info btn-block" data-toggle="modal" data-target="#acceptQuoteModal">
                                    <i class="ls ls-share"></i>
                                    {$LANG.quoteacceptbtn}
                                </button>
                            {/if}
                        </div>
                    </div>
                </div>
                <div class="pt-5 pl-0.5">
                    <a href="dl.php?type=q&amp;id={$quoteid}" class="btn btn-default">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 mr-1" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path>
                            <polyline points="7 10 12 15 17 10"></polyline>
                            <line x1="12" y1="15" x2="12" y2="3"></line>
                        </svg> {$LANG.invoicesdownload}</a>
                </div>
            </div>
        </div>
    </div>
{/if}

<form method="post" action="viewquote.php?id={$quoteid}&amp;action=accept">
<div class="modal fade" id="acceptQuoteModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">{$LANG.quoteacceptbtn}</h4>
            </div>
            <div class="modal-body">
                <p>{$LANG.quoteacceptagreetos}</p>
                <p class="text-left">
                    <label class="checkbox-inline" id="quoteAcceptAgreeTos">
                        <input type="checkbox" name="agreetos" />
                        {$LANG.ordertosagreement} <a href="{$tosurl}" target="_blank">{$LANG.ordertos}</a>
                    </label>
                </p>
                <small>{$LANG.quoteacceptcontractwarning}</small>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-link" data-dismiss="modal">{$LANG.cancel}</button>
                <button type="submit" class="btn btn-primary">{$LANG.quoteacceptbtn}</button>
            </div>
        </div>
    </div>
</div>
</form>

{include file="{$template}/footer.tpl"}