{assign var="label" value="default"}
{if $status|strstr:"779500"}{assign var="label" value="success"}
{elseif $status|strstr:"000000"}{assign var="label" value="primary"}
{elseif $status|strstr:"ff6600"}{assign var="label" value="warning"}
{elseif $status|strstr:"224488"}{assign var="label" value="info"}
{elseif $status|strstr:"cc0000"}{assign var="label" value="danger"}
{/if}
{if $error}
    <p>{$LANG.supportticketinvalid}</p>
{else}
    {include file="$template/includes/pageheader.tpl" title=$LANG.supportticketsviewticket|cat:' #'|cat:$tid}
    <script>
        {literal}
            $(document)
                .on('change', '.btn-file :file', function() {
                    var input = $(this),
                        numFiles = input.get(0).files ? input.get(0).files.length : 1,
                        label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
                    input.trigger('fileselect', [numFiles, label]);
                });
            $(document).ready(function() {
                $('.btn-file :file').on('fileselect', function(event, numFiles, label) {
                    var input = $(this).parents('.input-group').find(':text'),
                        log = numFiles > 1 ? numFiles + ' files selected' : label;
                    if (input.length) {
                        input.val(log);
                    } else {
                        if (log) alert(log);
                    }
                });
            });
        {/literal}
    </script>
    {if $errormessage}
        <div class="alert alert-danger">
            <p>{$LANG.clientareaerrors}</p>
            <ul>
                {$errormessage}
            </ul>
        </div>
    {/if}
    <div class="alert alert-{$label} alert-block mb-0">
        <div class="absolute bottom-0 right-0 m-5 opacity-25 alert-watermark">
            <i class="fas fa-ticket-alt fa-4x {if $label neq 'default'}fa-inverse{/if}"></i>
        </div>
        <h4>{$subject}</h4>
        <ul class="list-inline">
            <li class="mr-2"><span aria-hidden="true" class="icon icon-event"></span> {$date}</span></li>
            <li class="mr-2"><span aria-hidden="true" class="icon icon-people"></span> {$department}</li>
            <li class="mr-2"><span aria-hidden="true" class="icon icon-fire"></span> {$urgency|regex_replace:"/(<span>|<span [^>]*>|<\\ /span>)/":""} {$LANG.supportticketspriority}</li>
            <li><span aria-hidden="true" class="icon icon-tag"></span> {$status|strip_tags:false}{if $showclosebutton} (<a style="text-transform: lowercase;" href='{$smarty.server.PHP_SELF}?tid={$tid}&amp;c={$c}&amp;closeticket=true'>{$LANG.supportticketsclose}</a>) {/if}</li>
        </ul>
    </div>
    {if $customfields}
        <table class="table">
            {foreach from=$customfields item=customfield}
                <tr>
                    <td>{$customfield.name}:</td>
                    <td>{$customfield.value}</td>
                </tr>
            {/foreach}
        </table>
    {/if}
    <div class="panel panel-info panel-reply{if !$open_ticket_reply} panel-collapsable{if !$postingReply} panel-collapsed{/if}{/if} hidden-print mb-0">
        <div class="panel-heading" id="ticketReply">
            {if !$open_ticket_reply}
                <div class="collapse-icon pull-right">
                    <i class="fal fa-lg fa-{if !$postingreply}plus{else}minus{/if}"></i>
                </div>
            {/if}
            <h3 class="panel-title">
                <i class="fal fa-pencil-alt"></i> {$LANG.supportticketsreply}
            </h3>
        </div>
        <div class="pr-0 panel-body{if !$postingReply} panel-body-collapsed{/if}">
            <form method="post" action="{$smarty.server.PHP_SELF}?tid={$tid}&amp;c={$c}&amp;postreply=true" enctype="multipart/form-data" role="form" id="frmReply">
                <div class="row">
                    <div class="form-group col-sm-6 subhidden">
                        <label for="inputName">{$LANG.supportticketsclientname}</label>
                        <input class="form-control input-sm" type="text" name="replyname" id="inputName" value="{$replyname}"{if $loggedin} disabled="disabled"{/if}>
                    </div>
                    <div class="form-group col-sm-6 subhidden">
                        <label for="inputEmail">{$LANG.supportticketsclientemail}</label>
                        <input class="form-control input-sm" type="text" name="replyemail" id="inputEmail" value="{$replyemail}"{if $loggedin} disabled="disabled"{/if}>
                    </div>
                </div>
                <div class="form-group">
                    <label for="inputMessage">{$LANG.contactmessage}</label>
                    <textarea name="replymessage" id="inputMessage" rows="10" class="form-control markdown-editor" data-auto-save-name="ctr{$tid}">{$replymessage}</textarea>
                </div>
                <div id="fileuploads">
                    <div class="form-group">
                        <div class="input-group">
                            <span class="input-group-btn">
                                <span class="btn btn-default btn-file">
                                    <i class="fal fa-folder-open"></i> <input type="file" name="attachments[]" multiple="">
                                </span>
                            </span>
                            <input type="text" class="form-control" readonly="">
                        </div>
                    </div>
                </div>
                <span class="help-block"><a href="#" class="btn btn-xs btn-link" onclick="extraTicketAttachment();return false"> {$LANG.addmore}</a> <small> {$LANG.supportticketsallowedextensions}: {$allowedfiletypes}</small></span>
                <div class="form-group">
                    <input class="btn btn-primary" type="submit" name="save" value="{$LANG.supportticketsticketsubmit}" />
                </div>
            </form>
        </div>
    </div>
    {foreach $descreplies as $reply}
        <div class="overflow-hidden ticket-reply">
            <div class="px-4 py-5 border-b border-gray-200 sm:px-6">
                <div class="flex flex-wrap items-center justify-between -mt-4 -ml-4 sm:flex-no-wrap">
                    <div class="mt-4 ml-4">
                        <div class="flex items-center">
                            <div class="flex-shrink-0">
                                {if $reply.admin}
                                    {if isset($descreplies_reply_admin_email[$reply.id])}
                                        <img class="w-10 h-10 rounded-full" src="https://www.gravatar.com/avatar/{md5(strtolower(trim($descreplies_reply_admin_email[$reply.id])))}?s=50&d=mm">
                                    {else}
                                        <img class="w-10 h-10 rounded-full" src="{$WEB_ROOT}/templates/{$template}/assets/img/user.png" alt="User">
                                    {/if}
                                {else}
                                    {if $disable_gravatar}
                                        <img class="w-10 h-10 rounded-full" src="{$WEB_ROOT}/templates/{$template}/assets/img/user.png" alt="User">
                                    {else}
                                        <img class="w-10 h-10 rounded-full" src="https://www.gravatar.com/avatar/{$clientsdetails.email|md5}?s=50&d=mm" alt="Gravatar">
                                    {/if}
                                {/if}
        
                            </div>
                            <div class="ml-4">
                                <h3 class="m-0 text-lg font-medium leading-6 text-gray-500">
                                {$reply.requestor.name}
                                <span>
                                {if $reply.requestor.type_normalised eq 'operator'}
                                    {lang key='support.requestor.operator'}
                                {elseif $reply.requestor.type_normalised eq 'owner'}
                                    {lang key='support.requestor.owner'}
                                {elseif $reply.requestor.type_normalised eq 'authorizeduser'}
                                    {lang key='support.requestor.authorizeduser'}
                                {elseif $reply.requestor.type_normalised eq 'externaluser'}
                                    {lang key='support.requestor.externaluser'}
                                {elseif $reply.requestor.type_normalised eq 'subaccount'}
                                    {lang key='support.requestor.subaccount'}
                                {elseif $reply.requestor.type_normalised eq 'guest'}
                                    {lang key='support.requestor.guest'}
                                {/if}
                            </span>
                                </h3>
                                <p class="p-0 m-0 text-sm leading-5 text-gray-500">
                                    {if $reply.admin}
                                        {$LANG.supportticketsstaff}
                                    {else}
                                    {$reply.requestor.email}    
                                    {/if}
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="flex flex-shrink-0 mt-4 ml-4">
                        <span class="inline-flex rounded-md">
                            <div class="relative inline-flex items-center px-4 py-2 text-sm font-medium leading-5 text-gray-700 rounded-md">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 mr-2 -ml-1 text-gray-400" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                    <circle cx="12" cy="12" r="10"></circle>
                                    <polyline points="12 6 12 12 16 14"></polyline>
                                </svg>
                                <span>
                                    {$reply.date}
                                </span>
                            </div>
                        </span>
                    </div>
                </div>
            </div>
            <div class="px-4 py-5 ticket-reply-body sm:p-6">
                <div class="p-0 m-0">{$reply.message}</div>
                {if $reply.attachments}
                    <div class="attachments">
                        <span class="font-bold">{$LANG.supportticketsticketattachments} ({$reply.attachments|count})</span>
                        {if $reply.attachments_removed}({lang key='support.attachmentsRemoved'}){/if}
                        <ul class="pt-2 pl-0 space-y-2 list-none">
                            {foreach from=$reply.attachments key=num item=attachment}
                                {if $reply.attachments_removed}
                                    <li>
                                        <i class="fal fa-file-minus"></i>
                                        {$attachment}
                                    </li>
                                {else}
                                    <li>
                                        <i class="fal fa-file"></i>
                                        <a href="dl.php?type={if $reply.id}ar&id={$reply.id}{else}a&id={$id}{/if}&i={$num}">
                                            {$attachment}
                                        </a>
                                    </li>
                                {/if}
                            {/foreach}
                        </ul>
                    </div>
                {/if}
                {if $reply.id && $reply.admin && $ratingenabled}
                    <div class="clearfix">
                        {if $reply.rating}
                            <div class="rating-done">
                                {for $rating=1 to 5}
                                    <span class="star{if (5 - $reply.rating) < $rating} active{/if}"></span>
                                {/for}
                                <div class="rated">{$LANG.ticketreatinggiven}</div>
                            </div>
                        {else}
                            <div class="rating" ticketid="{$tid}" ticketkey="{$c}" ticketreplyid="{$reply.id}">
                                <span class="star" rate="5"></span>
                                <span class="star" rate="4"></span>
                                <span class="star" rate="3"></span>
                                <span class="star" rate="2"></span>
                                <span class="star" rate="1"></span>
                            </div>
                        {/if}
                    </div>
                {/if}
            </div>
        </div>
    {/foreach}
{/if}