{include file="orderforms/flowcart7/common.tpl"}
{include file="orderforms/flowcart7/custom-styles.tpl"}
{include file="orderforms/flowcart7/cart-header.tpl" title=$LANG.transferdomain desc=$groupname step=2}
<div id="order-standard_cart">
    <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        <div class="col-span-12">
            <div class="flex items-center headline-line">
                <h4 class="flex-shrink-0 pr-4 pl-0 m-0 text-sm leading-5 tracking-wider font-semibold uppercase sub-header">
                    {$LANG.transferdomain}
                </h4>
                <div class="flex-1 border-solid border-0 border-t-2"></div>
            </div>
            <p class="my-0 p-0">{lang key='orderForm.transferExtend'}</p>
        </div>
        <form method="post" action="cart.php" id="frmDomainTransfer" class="col-span-12">
            <input type="hidden" name="a" value="addDomainTransfer">
            <div class="grid grid-cols-12 gap-2">
            <div class="mb-5 w-full sm:col-span-8">
                <label for="inputTransferDomain">{lang key='domainname'}</label>
                <input type="text" class="form-control input-lg" name="domain" id="inputTransferDomain" value="{$lookupTerm}" placeholder="{lang key='yourdomainplaceholder'}.{lang key='yourtldplaceholder'}" data-toggle="tooltip" data-placement="top" data-trigger="manual" title="{lang key='orderForm.enterDomain'}" />
            </div>
            <div class="mb-5 w-full sm:col-span-4">
                <label for="inputAuthCode" style="width:100%;">
                    {lang key='orderForm.authCode'}
                    <a href="" data-toggle="tooltip" data-placement="left" title="{lang key='orderForm.authCodeTooltip'}"><i class="fas fa-question-circle"></i></a>
                </label>
                <input type="text" class="form-control input-lg" name="epp" id="inputAuthCode" placeholder="{lang key='orderForm.authCodePlaceholder'}" data-toggle="tooltip" data-placement="top" data-trigger="manual" title="{lang key='orderForm.required'}" />
            </div>
            </div>
            <div id="transferUnavailable" class="alert alert-warning slim-alert text-center w-hidden"></div>
            {if $captcha->isEnabled() && !$captcha->recaptcha->isEnabled()}
                <div class="captcha-container py-5" id="captchaContainer">
                    <div class="default-captcha">
                        <p>{lang key="cartSimpleCaptcha"}</p>
                        <div>
                            <img id="inputCaptchaImage" src="{$systemurl}includes/verifyimage.php" />
                            <input id="inputCaptcha" type="text" name="code" maxlength="6" class="form-control input-sm" data-toggle="tooltip" data-placement="right" data-trigger="manual" title="{lang key='orderForm.required'}" />
                        </div>
                    </div>
                </div>
            {elseif $captcha->isEnabled() && $captcha->recaptcha->isEnabled() && !$captcha->recaptcha->isInvisible()}
                <div class="form-group recaptcha-container" id="captchaContainer"></div>
            {/if}
            <div class="mb-5">
                <button type="submit" id="btnTransferDomain" class="btn btn-primary btn-transfer{$captcha->getButtonClass($captchaForm)}">
                    <span class="loader w-hidden" id="addTransferLoader">
                        <i class="fas fa-fw fa-spinner fa-spin"></i>
                    </span>
                    <span id="addToCart">{lang key="orderForm.addToCart"}</span>
                </button>
            </div>
        </form>
        <div class="col-span-12">
        <div>* {lang key='orderForm.extendExclusions'}</div>
        </div>
    </div>
</div>