{include file="orderforms/flowcart7/common.tpl"}
{include file="orderforms/flowcart7/custom-styles.tpl"}
{include file="orderforms/flowcart7/products-header.tpl"}
<div id="order-standard_cart">
    <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        <div class="col-span-12">
        {if !$loggedin && $currencies}
            <div class="row">
                <div class="col-md-12">
                    <div class="pull-right currency-product">
                        {foreach from=$currencies item=curr}
                            <a href="{$WEB_ROOT}/cart.php?gid={$gid}&currency={$curr.id}"><i class="fas fa-money-bill{if $curr.id eq $currency.id} active{/if}"></i> <span class="{if $curr.id eq $currency.id} active{/if}">{$curr.code}</span></a>
                        {/foreach}
                    </div>
                </div>
            </div>
        {/if}
            {if $productGroup.headline}
                <div class="flex items-center headline-line">
                    <h4 class="flex-shrink-0 pr-4 pl-0 m-0 text-sm leading-5 tracking-wider font-semibold uppercase sub-header">
                        {$productGroup.headline}
                    </h4>
                    <div class="flex-1 border-solid border-0 border-t-2"></div>
                </div>
            {/if}
            {if $productGroup.tagline}
                <p class="my-0 p-0">{$productGroup.tagline}</p>
            {/if}
            {if $errormessage}
                <div class="alert alert-danger">
                    {$errormessage}
                </div>
            {elseif !$productGroup}
                <div class="alert alert-info">
                    {lang key='orderForm.selectCategory'}
                </div>
            {/if}
        </div>
        {assign var="col" value=flowcart_group_column_width($gid,$group_column_width)}
        {foreach $products as $key => $product}
            <div class="col-span-12  md:col-span-6 2xl:{$col} animatedProduct well{if $product.isFeatured} bg-accent-1 light:bg-accent-1 text-gray-100 light:text-gray-10{/if}" id="product{$product@iteration}">
                <div class="font-bold text-center mx-auto py-5">
                    <span id="product{$product@iteration}-name">{$product.name}</span>
                    {if $product.stockControlEnabled}
                        <span class="qty">
                            {$product.qty} {$LANG.orderavailable}
                        </span>
                    {/if}
                </div>
                <div class="mx-auto py-3 text-center">
                    {if $product.featuresdesc}
                        <p id="product{$product@iteration}-description">
                            {$product.featuresdesc}
                        </p>
                    {/if}
                    <ul class="p-0 list-none">
                        {foreach $product.features as $feature => $value}
                          <li id="product{$product@iteration}-feature{$value@iteration}">
                            {if $value|strstr:'YES'}{$value|replace:'YES':'<i class="fas fa-lg fa-check"></i>'} <small>{$feature}</small>
                            {elseif $value|strstr:'NO'}{$value|replace:'NO':'<i class="fas fa-lg fa-times"></i>'} <small>{$feature}</small>
                            {else} <strong>{$value}</strong> <small>{$feature}</small>{/if}
                          </li>
                        {/foreach}
                    </ul>
                </div>
                <div class="mx-auto text-center" id="product{$product@iteration}-price">
                    {if $product.bid}
                        {$LANG.bundledeal}
                        {if $product.displayprice}
                            <span class="price text-3xl font-thin">{$product.displayprice}</span>
                        {/if}
                    {else}
                        {if $product.pricing.hasconfigoptions}
                            <div>{$LANG.startingfrom}</div>
                        {/if}
                        <span class="price text-3xl font-thin">{$product.pricing.minprice.price}</span>
                        <div>
                            {if $product.pricing.minprice.cycle eq "monthly"}
                                {$LANG.orderpaymenttermmonthly}
                            {elseif $product.pricing.minprice.cycle eq "quarterly"}
                                {$LANG.orderpaymenttermquarterly}
                            {elseif $product.pricing.minprice.cycle eq "semiannually"}
                                {$LANG.orderpaymenttermsemiannually}
                            {elseif $product.pricing.minprice.cycle eq "annually"}
                                {$LANG.orderpaymenttermannually}
                            {elseif $product.pricing.minprice.cycle eq "biennially"}
                                {$LANG.orderpaymenttermbiennially}
                            {elseif $product.pricing.minprice.cycle eq "triennially"}
                                {$LANG.orderpaymenttermtriennially}
                            {/if}
                        </div>
                        {if $product.pricing.minprice.setupFee}
                            <div>{$product.pricing.minprice.setupFee->toPrefixed()} {$LANG.ordersetupfee}</div>
                        {/if}
                    {/if}
                    <a href="{$WEB_ROOT}/cart.php?a=add&{if $product.bid}bid={$product.bid}{else}pid={$product.pid}{/if}" {if $product.qty == "0"}disabled{/if} class="btn mt-10 {if $product.isFeatured} btn-outlined btn-featured{else} btn-outlined{/if}" id="product{$product@iteration}-order-button">
                        {$LANG.ordernowbutton}
                    </a>
                </div>
            </div>
        {/foreach}
        {if count($productGroup.features) > 0}
            <div class="col-span-12">
                <div class="flex items-center headline-line">
                    <h4 class="flex-shrink-0 pr-4 m-0 pl-0 text-sm leading-5 tracking-wider font-semibold uppercase sub-header">
                        {$LANG.orderForm.includedWithPlans}
                    </h4>
                    <div class="flex-1 border-solid border-0 border-t-2"></div>
                </div>
                <ul class="mt-8 lg:grid lg:grid-cols-3 lg:col-gap-8 lg:row-gap-5">
                    {foreach $productGroup.features as $features}
                        <li class="flex items-start lg:col-span-1">
                            <div class="flex-shrink-0">
                                <svg class="h-5 w-5 text-accent-1" fill="currentColor" viewBox="0 0 20 20">
                                    <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd" />
                                </svg>
                            </div>
                            <p class="ml-3 text-sm leading-5 text-gray-600">
                                {$features.feature}
                            </p>
                        </li>
                    {/foreach}
                </ul>
            </div>
        {/if}
    </div>
</div>