<link type="text/css" rel="stylesheet" href="{$WEB_ROOT}/templates/orderforms/{$carttpl}/css/ion.rangeSlider.min.css" property="stylesheet">
<link type="text/css" rel="stylesheet" href="{$WEB_ROOT}/templates/orderforms/{$carttpl}/css/style.css" property="stylesheet">
<div id="order-flow_slider">
    {include file="orderforms/flowcart7/products-header.tpl"}
    <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        <div class="col-span-12">
        {if !$loggedin && $currencies}
            <div class="row">
                <div class="col-md-12">
                    <div class="pull-right currency-product">
                        {foreach from=$currencies item=curr}
                            <a href="{$WEB_ROOT}/cart.php?gid={$gid}&currency={$curr.id}"><i class="fas fa-money-bill{if $curr.id eq $currency.id} active{/if}"></i> <span class="{if $curr.id eq $currency.id} active{/if}">{$curr.code}</span></a>
                        {/foreach}
                    </div>
                </div>
            </div>
        {/if}
            <div class="group-headlines">
            {if $productGroup.headline}
                <div class="flex items-center headline-line">
                    <h4 class="flex-shrink-0 pl-0 pr-4 m-0 text-sm font-semibold leading-5 tracking-wider uppercase sub-header">
                        {$productGroup.headline}
                    </h4>
                    <div class="flex-1 border-0 border-t-2 border-solid"></div>
                </div>
            {/if}
            {if $productGroup.tagline}
                <p class="p-0 my-0">{$productGroup.tagline}</p>
            {/if}
            {if $errormessage}
                <div class="alert alert-danger">
                    {$errormessage}
                </div>
            {elseif !$productGroup}
                <div class="alert alert-info">
                    {lang key='orderForm.selectCategory'}
                </div>
            {/if}
            </div>
            <div class="clearfix striped-container">
                <div class="main-container">
                    {if $products}
                        <div class="product-selector">
                            <input type="text" id="product-selector" name="product-selector" value="" title="product-selector" />
                        </div>
                    {/if}
                    {foreach $products as $key => $product}
                        {$productId = ($product.pid) ? $product.pid : 'b'|cat:$product.bid}
                        <div id="product{$productId}-container" class="product-container">
                            <div id="product{$productId}-feature-container" class="feature-container">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            {foreach $product.features as $feature => $value}
                                                {$currentPercentages = $featurePercentages.$feature}
                                                <div id="product{$productId}-feature{$value@iteration}" class="col-sm-3 container-with-progress-bar">
                                                    <div class="text-center well">
                                                        {$feature}
                                                        <span>{$value}</span>
                                                        <div class="progress small-progress">
                                                            <div class="progress-bar" role="progressbar" aria-valuenow="{$currentPercentages.$key}" aria-valuemin="0" aria-valuemax="100" style="width: {$currentPercentages.$key}%;">
                                                                <span class="sr-only">{$currentPercentages.$key}% Complete</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            {/foreach}
                                        </div>
                                    </div>
                                    <div id="product{$productId}-price" class="col-md-12 hidden-sm">
                                        <div class="text-right price-container container-with-progress-bar">
                                            {$product.name} {$LANG.orderprice}
                                            <span class="price-cont">
                                                {if $product.bid}
                                                    {$LANG.bundledeal}
                                                    {if $product.displayprice}
                                                        <br /><br /><span>{$product.displayPriceSimple}</span>
                                                    {/if}
                                                {elseif $product.paytype eq "free"}
                                                    {$LANG.orderfree}
                                                {elseif $product.paytype eq "onetime"}
                                                    {$product.pricing.onetime} {$LANG.orderpaymenttermonetime}
                                                {else}
                                                    {if $product.pricing.hasconfigoptions}
                                                        {$LANG.from}
                                                    {/if}
                                                    {$product.pricing.minprice.cycleText}
                                                    <br>
                                                    {if $product.pricing.minprice.setupFee}
                                                        <small>{$product.pricing.minprice.setupFee->toPrefixed()} {$LANG.ordersetupfee}</small>
                                                    {/if}
                                                {/if}
                                            </span>
                                            {if $product.qty eq "0"}
                                                <span id="product{$productId}-unavailable" class="order-button unavailable">
                                                    {$LANG.outofstock}
                                                </span>
                                            {else}
                                                <div class="form-group">
                                                    <a href="{$WEB_ROOT}/cart.php?a=add&amp;{if $product.bid}bid={$product.bid}{else}pid={$product.pid}{/if}" class="order-button btn btn-primary btn-lg" id="product{$productId}-order-button">
                                                        {$LANG.ordernowbutton}
                                                    </a>
                                                </div>
                                            {/if}
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    {/foreach}
                </div>
            </div>
            {if count($productGroup.features) > 0}
                <div class="col-span-12">
                    <div class="flex items-center headline-line">
                        <h4 class="flex-shrink-0 pl-0 pr-4 m-0 text-sm font-semibold leading-5 tracking-wider uppercase sub-header">
                            {$LANG.orderForm.includedWithPlans}
                        </h4>
                        <div class="flex-1 border-0 border-t-2 border-solid"></div>
                    </div>
                    <ul class="mt-8 lg:grid lg:grid-cols-3 lg:col-gap-8 lg:row-gap-5">
                        {foreach $productGroup.features as $features}
                            <li class="flex items-start lg:col-span-1">
                                <div class="flex-shrink-0">
                                    <svg class="w-5 h-5 text-accent-1" fill="currentColor" viewBox="0 0 20 20">
                                        <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd" />
                                    </svg>
                                </div>
                                <p class="ml-3 text-sm leading-5 text-gray-600">
                                    {$features.feature}
                                </p>
                            </li>
                        {/foreach}
                    </ul>
                </div>
            {/if}
        </div>
    </div>
</div>
<script type="text/javascript" src="{$WEB_ROOT}/templates/orderforms/{$carttpl}/js/ion.rangeSlider.min.js"></script>
<script type="text/javascript">
    jQuery(document).ready(function() {
        var products = [],
            productList = [],
            startFrom = 0,
            startValue = null;
        {foreach $products as $product}
            products['{$product.name}'] = '{if $product.pid}{$product.pid}{else}b{$product.bid}{/if}';
            productList.push('{$product.name}');
            {if $pid}
                {if ($pid == $product.pid)}
                    startValue = '{$product.name}';
                    startFrom = productList.indexOf('{$product.name}');
                {/if}
            {else}
                {if $product.isFeatured && !isset($featuredProduct)}
                    {$featuredProduct = true}
                    startValue = '{$product.name}';
                    startFrom = productList.indexOf('{$product.name}');
                {/if}
            {/if}
        {/foreach}
        jQuery("#product-selector").ionRangeSlider({
            type: "single",
            skin: "round",
            min: 1,
            max: {count($products)},
            step: 1,
            grid: true,
            hide_min_max: true,
            grid_snap: true,
            keyboard: true,
            from: startFrom,
            {if count($products) == 1}
                disable: true,
            {else}
                onStart: function(data) {
                    if (startValue !== null) {
                        changeProduct(startValue);
                    } else {
                        changeProduct(data.from_value);
                    }

            },
            onChange: function(data) {
                changeProduct(data.from_value);
            },
                                                        {/if}
            values: productList
        });

        function changeProduct(productName) {
            var pid = products[productName];
            jQuery(".product-container").hide();
            jQuery("#product" + pid + "-container").show();
        }

                                    {if count($products) eq 1}
        jQuery(".irs-single").text(productList[0]);
        jQuery(".irs-grid-text").text('');
                                    {/if}

        jQuery('#btnShowSidebar').click(function() {
            var productSidebar = jQuery(".product-selection-sidebar");
            if (productSidebar.is(":visible")) {
                jQuery('.row-product-selection').css('left', '0');
                productSidebar.fadeOut();
                                                                            jQuery('#btnShowSidebar').html('<i class="fas fa-arrow-circle-right"></i> {$LANG.showMenu}');
            } else {
                productSidebar.fadeIn();
                jQuery('.row-product-selection').css('left', '300px');
                                                                            jQuery('#btnShowSidebar').html('<i class="fas fa-arrow-circle-left"></i> {$LANG.hideMenu}');
            }
        });
    });
</script>